<?php
/**
 * The template file to display taxonomies archive
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.57
 */

// Redirect to the template page (if exists) for output current taxonomy
if ( is_category() || is_tag() || is_tax() ) {
	$impacto_patronus_term = get_queried_object();
	global $wp_query;
	if ( ! empty( $impacto_patronus_term->taxonomy ) && ! empty( $wp_query->posts[0]->post_type ) ) {
		$impacto_patronus_taxonomy  = impacto_patronus_get_post_type_taxonomy( $wp_query->posts[0]->post_type );
		if ( $impacto_patronus_taxonomy == $impacto_patronus_term->taxonomy ) {
			$impacto_patronus_template_page_id = impacto_patronus_get_template_page_id( array(
				'post_type'  => $wp_query->posts[0]->post_type,
				'parent_cat' => $impacto_patronus_term->term_id
			) );
			if ( 0 < $impacto_patronus_template_page_id ) {
				wp_safe_redirect( get_permalink( $impacto_patronus_template_page_id ) );
				exit;
			}
		}
	}
}
// If template page is not exists - display default blog archive template
get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', impacto_patronus_blog_archive_get_template() ) );
