<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.50
 */

$impacto_patronus_template_args = get_query_var( 'impacto_patronus_template_args' );
if ( is_array( $impacto_patronus_template_args ) ) {
	$impacto_patronus_columns    = empty( $impacto_patronus_template_args['columns'] ) ? 2 : max( 1, $impacto_patronus_template_args['columns'] );
	$impacto_patronus_blog_style = array( $impacto_patronus_template_args['type'], $impacto_patronus_columns );
} else {
	$impacto_patronus_blog_style = explode( '_', impacto_patronus_get_theme_option( 'blog_style' ) );
	$impacto_patronus_columns    = empty( $impacto_patronus_blog_style[1] ) ? 2 : max( 1, $impacto_patronus_blog_style[1] );
}
$impacto_patronus_blog_id       = impacto_patronus_get_custom_blog_id( join( '_', $impacto_patronus_blog_style ) );
$impacto_patronus_blog_style[0] = str_replace( 'blog-custom-', '', $impacto_patronus_blog_style[0] );
$impacto_patronus_expanded      = ! impacto_patronus_sidebar_present() && impacto_patronus_is_on( impacto_patronus_get_theme_option( 'expand_content' ) );
$impacto_patronus_components    = impacto_patronus_array_get_keys_by_value( impacto_patronus_get_theme_option( 'meta_parts' ) );

$impacto_patronus_post_format   = get_post_format();
$impacto_patronus_post_format   = empty( $impacto_patronus_post_format ) ? 'standard' : str_replace( 'post-format-', '', $impacto_patronus_post_format );

$impacto_patronus_blog_meta     = impacto_patronus_get_custom_layout_meta( $impacto_patronus_blog_id );
$impacto_patronus_custom_style  = ! empty( $impacto_patronus_blog_meta['scripts_required'] ) ? $impacto_patronus_blog_meta['scripts_required'] : 'none';

if ( ! empty( $impacto_patronus_template_args['slider'] ) || $impacto_patronus_columns > 1 || ! impacto_patronus_is_off( $impacto_patronus_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $impacto_patronus_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( impacto_patronus_is_off( $impacto_patronus_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $impacto_patronus_custom_style ) ) . "-1_{$impacto_patronus_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_format_' . esc_attr( $impacto_patronus_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $impacto_patronus_columns )
					. ' post_layout_' . esc_attr( $impacto_patronus_blog_style[0] )
					. ' post_layout_' . esc_attr( $impacto_patronus_blog_style[0] ) . '_' . esc_attr( $impacto_patronus_columns )
					. ( ! impacto_patronus_is_off( $impacto_patronus_custom_style )
						? ' post_layout_' . esc_attr( $impacto_patronus_custom_style )
							. ' post_layout_' . esc_attr( $impacto_patronus_custom_style ) . '_' . esc_attr( $impacto_patronus_columns )
						: ''
						)
		);
	impacto_patronus_add_blog_animation( $impacto_patronus_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'impacto_patronus_action_show_layout', $impacto_patronus_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $impacto_patronus_template_args['slider'] ) || $impacto_patronus_columns > 1 || ! impacto_patronus_is_off( $impacto_patronus_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
