<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

$impacto_patronus_template_args = get_query_var( 'impacto_patronus_template_args' );
if ( is_array( $impacto_patronus_template_args ) ) {
	$impacto_patronus_columns    = empty( $impacto_patronus_template_args['columns'] ) ? 2 : max( 1, $impacto_patronus_template_args['columns'] );
	$impacto_patronus_blog_style = array( $impacto_patronus_template_args['type'], $impacto_patronus_columns );
} else {
	$impacto_patronus_blog_style = explode( '_', impacto_patronus_get_theme_option( 'blog_style' ) );
	$impacto_patronus_columns    = empty( $impacto_patronus_blog_style[1] ) ? 2 : max( 1, $impacto_patronus_blog_style[1] );
}
$impacto_patronus_post_format = get_post_format();
$impacto_patronus_post_format = empty( $impacto_patronus_post_format ) ? 'standard' : str_replace( 'post-format-', '', $impacto_patronus_post_format );

?><div class="
<?php
if ( ! empty( $impacto_patronus_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $impacto_patronus_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $impacto_patronus_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $impacto_patronus_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	impacto_patronus_add_blog_animation( $impacto_patronus_template_args );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$impacto_patronus_image_hover = ! empty( $impacto_patronus_template_args['hover'] ) && ! impacto_patronus_is_inherit( $impacto_patronus_template_args['hover'] )
								? $impacto_patronus_template_args['hover']
								: impacto_patronus_get_theme_option( 'image_hover' );
	// Featured image
	impacto_patronus_show_post_featured(
		array(
			'hover'         => $impacto_patronus_image_hover,
			'no_links'      => ! empty( $impacto_patronus_template_args['no_links'] ),
			'thumb_size'    => impacto_patronus_get_thumb_size(
				strpos( impacto_patronus_get_theme_option( 'body_style' ), 'full' ) !== false || $impacto_patronus_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $impacto_patronus_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $impacto_patronus_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!