<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.31
 */

get_header();

// If front-page is a static page
if ( get_option( 'show_on_front' ) == 'page' ) {

	// If Front Page Builder is enabled - display sections
	if ( impacto_patronus_is_on( impacto_patronus_get_theme_option( 'front_page_enabled' ) ) ) {

		if ( have_posts() ) {
			the_post();
		}

		$impacto_patronus_sections = impacto_patronus_array_get_keys_by_value( impacto_patronus_get_theme_option( 'front_page_sections' ), 1, false );
		if ( is_array( $impacto_patronus_sections ) ) {
			foreach ( $impacto_patronus_sections as $impacto_patronus_section ) {
				get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'front-page/section', $impacto_patronus_section ), $impacto_patronus_section );
			}
		}

		// Else if this page is blog archive
	} elseif ( is_page_template( 'blog.php' ) ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'blog' ) );

		// Else - display native page content
	} else {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'page' ) );
	}

	// Else get index template to show posts
} else {
	get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'index' ) );
}

get_footer();
