<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( impacto_patronus_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>

	<?php do_action( 'impacto_patronus_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap">
			
			<?php
			// Short links to fast access to the content, sidebar and footer from the keyboard
			?>
			<a class="impacto_patronus_skip_link skip_to_content_link" href="#content_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to content", 'impacto-patronus' ); ?></a>
			<?php if ( impacto_patronus_sidebar_present() ) { ?>
			<a class="impacto_patronus_skip_link skip_to_sidebar_link" href="#sidebar_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to sidebar", 'impacto-patronus' ); ?></a>
			<?php } ?>
			<a class="impacto_patronus_skip_link skip_to_footer_link" href="#footer_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to footer", 'impacto-patronus' ); ?></a>
			
			<?php
			// Desktop header
			$impacto_patronus_header_type = impacto_patronus_get_theme_option( 'header_type' );
			if ( 'custom' == $impacto_patronus_header_type && ! impacto_patronus_is_layouts_available() ) {
				$impacto_patronus_header_type = 'default';
			}
			get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', "templates/header-{$impacto_patronus_header_type}" ) );

			// Side menu
			if ( in_array( impacto_patronus_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			impacto_patronus_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					impacto_patronus_show_post_banner( 'background' );

					$impacto_patronus_post_thumbnail_type  = impacto_patronus_get_theme_option( 'post_thumbnail_type' );
					$impacto_patronus_post_header_position = impacto_patronus_get_theme_option( 'post_header_position' );
					$impacto_patronus_post_header_align    = impacto_patronus_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $impacto_patronus_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $impacto_patronus_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $impacto_patronus_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $impacto_patronus_post_header_position ) {
								impacto_patronus_show_post_title_and_meta();
							}

							// Featured image
							impacto_patronus_show_post_featured_image();

							// Post title and meta
							if ( in_array( $impacto_patronus_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								impacto_patronus_show_post_title_and_meta();
							}

							if ( 'boxed' === $impacto_patronus_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$impacto_patronus_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $impacto_patronus_post_header, 'post_featured' ) !== false
							|| strpos( $impacto_patronus_post_header, 'post_title' ) !== false
							|| strpos( $impacto_patronus_post_header, 'post_meta' ) !== false
						) {
							impacto_patronus_show_layout( $impacto_patronus_post_header );
						}
					}
				}

				// Widgets area above page content
				$impacto_patronus_body_style   = impacto_patronus_get_theme_option( 'body_style' );
				$impacto_patronus_widgets_name = impacto_patronus_get_theme_option( 'widgets_above_page' );
				$impacto_patronus_show_widgets = ! impacto_patronus_is_off( $impacto_patronus_widgets_name ) && is_active_sidebar( $impacto_patronus_widgets_name );
				if ( $impacto_patronus_show_widgets ) {
					if ( 'fullscreen' != $impacto_patronus_body_style ) {
						?>
						<div class="content_wrap">
							<?php
					}
					impacto_patronus_create_widgets_area( 'widgets_above_page' );
					if ( 'fullscreen' != $impacto_patronus_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}
				}

				// Content area
				?>
				<div class="content_wrap<?php echo 'fullscreen' == $impacto_patronus_body_style ? '_fullscreen' : ''; ?>">

					<div class="content">
						<?php
						// Skip link anchor to fast access to the content from keyboard
						?>
						<a id="content_skip_link_anchor" class="impacto_patronus_skip_link_anchor" href="#"></a>
						<?php
						// Widgets area inside page content
						impacto_patronus_create_widgets_area( 'widgets_above_content' );
