<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

impacto_patronus_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	impacto_patronus_blog_archive_start();

	$impacto_patronus_classes    = 'posts_container '
						. ( substr( impacto_patronus_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$impacto_patronus_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$impacto_patronus_sticky_out = impacto_patronus_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $impacto_patronus_stickies ) && count( $impacto_patronus_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $impacto_patronus_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $impacto_patronus_sticky_out ) {
		if ( impacto_patronus_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( impacto_patronus_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $impacto_patronus_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $impacto_patronus_sticky_out && ! is_sticky() ) {
			$impacto_patronus_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $impacto_patronus_classes ); ?>">
			<?php
		}
		$impacto_patronus_part = $impacto_patronus_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', $impacto_patronus_part ), $impacto_patronus_part );
	}

	?>
	</div>
	<?php

	impacto_patronus_show_pagination();

	impacto_patronus_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
