<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.50
 */

impacto_patronus_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$impacto_patronus_blog_style = impacto_patronus_get_theme_option( 'blog_style' );
	$impacto_patronus_parts      = explode( '_', $impacto_patronus_blog_style );
	$impacto_patronus_columns    = ! empty( $impacto_patronus_parts[1] ) ? max( 1, min( 6, (int) $impacto_patronus_parts[1] ) ) : 1;
	$impacto_patronus_blog_id    = impacto_patronus_get_custom_blog_id( $impacto_patronus_blog_style );
	$impacto_patronus_blog_meta  = impacto_patronus_get_custom_layout_meta( $impacto_patronus_blog_id );
	if ( ! empty( $impacto_patronus_blog_meta['margin'] ) ) {
		impacto_patronus_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( impacto_patronus_prepare_css_value( $impacto_patronus_blog_meta['margin'] ) ) ) );
	}
	$impacto_patronus_custom_style = ! empty( $impacto_patronus_blog_meta['scripts_required'] ) ? $impacto_patronus_blog_meta['scripts_required'] : 'none';

	impacto_patronus_blog_archive_start();

	$impacto_patronus_classes    = 'posts_container blog_custom_wrap' 
							. ( ! impacto_patronus_is_off( $impacto_patronus_custom_style )
								? sprintf( ' %s_wrap', $impacto_patronus_custom_style )
								: ( $impacto_patronus_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$impacto_patronus_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$impacto_patronus_sticky_out = impacto_patronus_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $impacto_patronus_stickies ) && count( $impacto_patronus_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $impacto_patronus_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $impacto_patronus_sticky_out ) {
		if ( impacto_patronus_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( impacto_patronus_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $impacto_patronus_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $impacto_patronus_sticky_out && ! is_sticky() ) {
			$impacto_patronus_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $impacto_patronus_classes ); ?>">
			<?php
		}
		$impacto_patronus_part = $impacto_patronus_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', $impacto_patronus_part ), $impacto_patronus_part );
	}
	?>
	</div>
	<?php

	impacto_patronus_show_pagination();

	impacto_patronus_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
