<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_mailchimp_get_css' ) ) {
	add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_mailchimp_get_css', 10, 2 );
	function impacto_patronus_mailchimp_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
form.mc4wp-form .mc4wp-form-fields input[type="email"] {
	{$fonts['input_font-family']}
	{$fonts['input_font-size']}
	{$fonts['input_font-weight']}
	{$fonts['input_font-style']}
	{$fonts['input_line-height']}
	{$fonts['input_text-decoration']}
	{$fonts['input_text-transform']}
	{$fonts['input_letter-spacing']}
}
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars = $args['vars'];

			$css['vars'] .= <<<CSS

form.mc4wp-form .mc4wp-form-fields input[type="email"],
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

form.mc4wp-form .mc4wp-alert {
	background-color: {$colors['inverse_link']};
	border-color: {$colors['text_hover']};
	color: {$colors['inverse_dark']};
}
form.mc4wp-form .mc4wp-alert a {
	color: {$colors['inverse_dark']} !important;	
}
form.mc4wp-form .mc4wp-alert a:hover {
	color: {$colors['inverse_dark']} !important;	
}
form.mc4wp-form input[type="checkbox"] + label {
	color: {$colors['inverse_text']} !important;	
}
form.mc4wp-form input[type="checkbox"] + label a {
	color: {$colors['inverse_text']} !important;	
}
form.mc4wp-form input[type="checkbox"] + label:before {
    border-color: {$colors['inverse_light']} !important;
}
form.mc4wp-form input[type="checkbox"]:checked + label,
form.mc4wp-form input[type="checkbox"]:checked + label a {
     color:{$colors['text_dark']} !important;
}  

/* Button */
form.mc4wp-form .mc4wp-form-fields button {
	color: {$colors['inverse_link']};	
    background-color: {$colors['text_link']};	
}
form.mc4wp-form .mc4wp-form-fields button:hover {
    color: {$colors['inverse_link']};	
    background-color: {$colors['text_hover']};	
}
/* Slide Effect */
/* ------------ */
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
	color: {$colors['inverse_link']} !important;
	background: linear-gradient(to right,	{$colors['inverse_dark']} 50%, {$colors['extra_link2']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['extra_link2']} !important;
}
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
    color: {$colors['inverse_link']} !important;
    background: linear-gradient(to left,	{$colors['inverse_dark']} 50%, {$colors['extra_link2']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['extra_link2']} !important;
}
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
	color: {$colors['inverse_link']} !important;
	background: linear-gradient(to bottom,	{$colors['inverse_dark']} 50%, {$colors['extra_link2']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['extra_link2']} !important;
}
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
	color: {$colors['inverse_link']} !important;
	background: linear-gradient(to top,		{$colors['inverse_dark']} 50%, {$colors['extra_link2']} 50%) no-repeat scroll right top / 100% 210% {$colors['extra_link2']} !important;
}
/* Hover  Slide Effect */
/* --------------------*/
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
    color: {$colors['inverse_link']} !important;
	background-position: left bottom !important;
}
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
    color: {$colors['inverse_link']} !important;
	background-position: right bottom !important;
}
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
    color: {$colors['inverse_link']} !important; 
	background-position: right top !important; 
}
form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
    color: {$colors['inverse_link']} !important; 	
    background-position: right bottom !important; 
}

/* Another Color Style MailChimp Button */
/* ------------------------------------ */
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
	color: {$colors['inverse_link']} !important;
	background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_hover']} !important;
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
    color: {$colors['inverse_link']} !important;
    background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_hover']} !important;
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
	color: {$colors['inverse_link']} !important;
	background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_hover']} !important;
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
	color: {$colors['inverse_link']} !important;
	background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_hover']} !important;
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
    color: {$colors['inverse_link']} !important;
	background-position: left bottom !important;
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
    color: {$colors['inverse_link']} !important;
	background-position: right bottom !important;
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
    color: {$colors['inverse_link']} !important; 
	background-position: right top !important; 
}
.btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
    color: {$colors['inverse_link']} !important; 	
    background-position: right bottom !important; 
}




CSS;
		}

		return $css;
	}
}

