<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_speakout_get_css' ) ) {
    add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_speakout_get_css', 10, 2 );
    function impacto_patronus_speakout_get_css( $css, $args ) {
        if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
            $fonts         = $args['fonts'];
            $css['fonts'] .= <<<CSS
			
.dk-speakout-submit {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

.dk-speakout-petition-wrap h3{
    {$fonts['h4_font-family']}
	{$fonts['h4_font-size']}
	{$fonts['h4_font-weight']}
	{$fonts['h4_font-style']}
	{$fonts['h4_line-height']}
	{$fonts['h4_text-decoration']}
	{$fonts['h4_text-transform']}
	{$fonts['h4_letter-spacing']}
}

.dk-speakout-signaturelist caption{
	{$fonts['h1_font-family']}
	{$fonts['h1_font-size']}
	{$fonts['h1_font-weight']}
	{$fonts['h1_font-style']}
	{$fonts['h1_line-height']}
	{$fonts['h1_text-decoration']}
	{$fonts['h1_text-transform']}
	{$fonts['h1_letter-spacing']}
	{$fonts['h1_margin-top']}
	{$fonts['h1_margin-bottom']}
}

.dk-speakout-signaturelist-date{
    {$fonts['info_font-family']}
}
#dk-speakout-reader-content .dk-speakout-greeting,
.dk-speakout-share div p {
    {$fonts['h5_font-family']}
}
.dk-speakout-petition-wrap .dk-speakout-readme,
.dk-speakout-facebook,
.dk-speakout-twitter {
    {$fonts['button_font-family']}
}


CSS;
        }

        if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
            $colors         = $args['colors'];
            $css['colors'] .= <<<CSS

.dk-speakout-petition-wrap {
    background-color: {$colors['alter_bg_color']};
}
.dk-speakout-share {
    border-color: {$colors['bg_color']}; 
}
.dk-speakout-share:before {
    border-left-color:  {$colors['bg_color']};
}
.dk-speakout-petition:before {
    border-left-color:  {$colors['bg_color']};
}

.dk-speakout-share div p {
    color: {$colors['text_dark']};
}
#dk-speakout-reader-content {
    background-color: {$colors['bg_color']};
}

#dk-speakout-reader-content  .dk-speakout-greeting {
    color: {$colors['text_dark']};
}

.dk-speakout-submit{
    color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}
.dk-speakout-submit:hover{
    color: {$colors['inverse_link']};
	background-color: {$colors['text_hover2']};
}
.dk-speakout-petition-wrap .dk-speakout-readme {
    color: {$colors['text_link']};
    border-color: {$colors['text_link']};
}
.dk-speakout-petition-wrap .dk-speakout-readme:hover {
    color: {$colors['text_hover']};
    border-color: {$colors['text_hover']};
}
#dk-speakout-reader-close {
    color: {$colors['text_dark']};
}
#dk-speakout-reader-close:hover {
    color: {$colors['text_link']};
}
.dk-speakout-half label > span,
.dk-speakout-full label > span {
    color: {$colors['text_hover']};
}
.dk-speakout-privacypolicy-wrap label a {
    color: {$colors['text_dark']};
}
.dk-speakout-privacypolicy-wrap label a:hover {
    color: {$colors['text_hover']};
}
.dk-speakout-privacypolicy-wrap label span {
    color: {$colors['text_hover']};
}

.dk-speakout-signaturelist caption {
    color: {$colors['text_dark']} !important;
}

.dk-speakout-signaturelist td{
    color: {$colors['text']};
}
.dk-speakout-signaturelist > tbody > tr:nth-child(2n+1)>td {
    background-color: {$colors['alter_bg_color']};
}

.dk-speakout-signaturelist > tbody > tr:nth-child(2n)>td {
    background-color: {$colors['alter_bg_hover']};
}
.dk-speakout-signaturelist td, 
.dk-speakout-signaturelist th + td, 
.dk-speakout-signaturelist td + td{
    border-color: {$colors['alter_bd_color']};
}
.dk-speakout-signaturelist-prev,
.dk-speakout-signaturelist-next {
    color: {$colors['text_link']};
    background-color: transparent;
    border-color: {$colors['text_link']};
}
.dk-speakout-signaturelist-prev:hover,
.dk-speakout-signaturelist-next:hover {
    color: {$colors['inverse_link']};
    background-color: {$colors['text_hover']};
    border-color: {$colors['text_hover']};
}

/* Messages */
.dk-speakout-response-error,
.dk-speakout-error {
   border-color: {$colors['text_hover']} !important;
   background-color: {$colors['bg_color']} !important;
}
.dk-speakout-response-success {
   border-color: {$colors['text_link']} !important;
   background-color: {$colors['bg_color']} !important;
}
.dk-speakout-response-success strong {
   color: {$colors['text_dark']};
}

CSS;
        }

        return $css;
    }
}

