<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

if ( impacto_patronus_sidebar_present() ) {
	ob_start();
	$impacto_patronus_sidebar_name = impacto_patronus_get_theme_option( 'sidebar_widgets' );
	impacto_patronus_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $impacto_patronus_sidebar_name ) ) {
		dynamic_sidebar( $impacto_patronus_sidebar_name );
	}
	$impacto_patronus_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $impacto_patronus_out ) ) {
		$impacto_patronus_sidebar_position    = impacto_patronus_get_theme_option( 'sidebar_position' );
		$impacto_patronus_sidebar_position_ss = impacto_patronus_get_theme_option( 'sidebar_position_ss' );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $impacto_patronus_sidebar_position );
			echo ' sidebar_' . esc_attr( $impacto_patronus_sidebar_position_ss );

			if ( 'float' == $impacto_patronus_sidebar_position_ss ) {
				echo ' sidebar_float';
			}
			$impacto_patronus_sidebar_scheme = impacto_patronus_get_theme_option( 'sidebar_scheme' );
			if ( ! empty( $impacto_patronus_sidebar_scheme ) && ! impacto_patronus_is_inherit( $impacto_patronus_sidebar_scheme ) ) {
				echo ' scheme_' . esc_attr( $impacto_patronus_sidebar_scheme );
			}
			?>
		" role="complementary">
			<?php
			// Skip link anchor to fast access to the sidebar from keyboard
			?>
			<a id="sidebar_skip_link_anchor" class="impacto_patronus_skip_link_anchor" href="#"></a>
			<?php
			// Single posts banner before sidebar
			impacto_patronus_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $impacto_patronus_sidebar_position_ss, array( 'above', 'float' ) ) ) {
				$impacto_patronus_title = apply_filters( 'impacto_patronus_filter_sidebar_control_title', 'float' == $impacto_patronus_sidebar_position_ss ? __( 'Show Sidebar', 'impacto-patronus' ) : '' );
				$impacto_patronus_text  = apply_filters( 'impacto_patronus_filter_sidebar_control_text', 'above' == $impacto_patronus_sidebar_position_ss ? __( 'Show Sidebar', 'impacto-patronus' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_html( $impacto_patronus_title ); ?>"><?php echo esc_html( $impacto_patronus_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'impacto_patronus_action_before_sidebar' );
				impacto_patronus_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $impacto_patronus_out ) );
				do_action( 'impacto_patronus_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
