<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
	function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
			
		/* Excerpt */	
		.post_layout_excerpt.sticky .post_title,
		.post_layout_excerpt.sticky .post_title a {
		    color: {$colors['inverse_link']};
		}
        .post_layout_excerpt.sticky .post_title a:hover {
            color: {$colors['text_hover']}; 
        }
        .post_layout_excerpt.sticky .post_meta_item.post_date,
        .post_layout_excerpt.sticky .post_meta_item.post_date a {
            color: {$colors['inverse_link']};   
        }
        .post_layout_excerpt.sticky .post_meta_item.post_date a:hover {
            color: {$colors['text_hover']};   
        }
			
		/* Title */
        .scheme_self.sc_title.color_style_dark .sc_item_title.sc_item_title_style_with_line:after {
             background-color:{$colors['text_dark']};	
        }   
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:after,
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:before {
            background-color:{$colors['text_dark']};	
        }
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle {
            color:{$colors['text_dark']};	
        }
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_with_line.sc_item_subtitle {
            color:{$colors['text_dark']};
        }
        
	
		/* SpeakOut */
		.dk-speakout-half label > span, 
		.dk-speakout-full label > span {
            color: {$colors['text_link']}; 
        }
        .dk-speakout-privacypolicy-wrap label span {
            color: {$colors['text_link']}; 
        }
        .dk-speakout-response-error,
        .dk-speakout-error {
            border-color: {$colors['text_link']} !important;
        }
        
        
        /* Give */
        form[id*="give-form"] .give-donation-amount #give-amount:focus {
            border-color: {$colors['text_link']} !important; 
        }
        #give-recurring-form .give-error,
        #give-recurring-form .give-required-indicator,
        form.give-form .give-error,
        form.give-form .give-required-indicator,
        form[id*="give-form"] .give-error, form[id*="give-form"] .give-required-indicator {
            color: {$colors['text_link']};
        }
        
        .give_success {
           border-color: {$colors['text_hover']} !important;
        }
        .give_success:before {
           background-color: {$colors['text_hover']} !important;
        }
        .give_error {
            border-color: {$colors['text_link']} !important;
        }
        .give_error:before {
           background-color: {$colors['text_link']} !important;
        }
        
		
		/* Messages */
       .trx_addons_field_error, .wpcf7-not-valid {
          border-color: {$colors['text_link']} !important; 
        }
       span.wpcf7-not-valid-tip {
          color: {$colors['text_link']} !important; 
       }
        
       div.wpcf7-validation-errors, div.wpcf7-acceptance-missing {
          border-color: {$colors['text_link']} !important; 
       }
        
       div.wpcf7-mail-sent-ok {
          border-color: {$colors['text_hover']} !important; 
       }
        
        
        /* Form Messages */
        .trx_addons_message_box_error {
           color: {$colors['text_link']} !important; 
           border-color: {$colors['text_link']} !important; 
           background-color: {$colors['bg_color']} !important;
        }
      
        form .error_field {
           border-color: {$colors['text_link']} !important; 
        }
        /* MailChimp */
        form.mc4wp-form .mc4wp-alert {
            border-color: {$colors['text_link']}; 
        }
			
		/* Quote */
		blockquote:not(.has-text-color),
        blockquote:not(.has-text-color) p,
        .wp-block-quote .wp-block-quote__citation {
            color: {$colors['inverse_link']} !important;
        }
        
        /* Action */
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_icon,
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_title {
            color:{$colors['inverse_link']};   
        }
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_info,
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_date {
            border-color: {$colors['inverse_link']};
        }
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_description,
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_date,
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_info {
           color:{$colors['inverse_link']};
        }
        .sc_action_item_simple.with_image.with_bg_color .sc_action_item_title:after {
           background-color:{$colors['inverse_link']};
        }
    

CSS;
		}

		return $css;
	}
}

