<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
	function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
	
		/* Petition */	
		.dk-speakout-signaturelist-prev,
		.dk-speakout-signaturelist-next {
            color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
		.dk-speakout-signaturelist-prev:hover,
		.dk-speakout-signaturelist-next:hover {
            background-color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        .dk-speakout-petition-wrap .dk-speakout-readme {
            color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        .dk-speakout-petition-wrap .dk-speakout-readme:hover {
            color: {$colors['text_link']};
            border-color: {$colors['text_link']};
        }
        /* Excerpt */	
        .post_layout_excerpt.sticky .post_title,
        .post_layout_excerpt.sticky .post_title a {
            color: {$colors['inverse_link']};
        }
        .post_layout_excerpt.sticky .post_title a:hover {
            color: {$colors['text_hover']}; 
        }
        .post_layout_excerpt.sticky .post_meta_item.post_date,
        .post_layout_excerpt.sticky .post_meta_item.post_date a {
            color: {$colors['inverse_link']};   
        }
        .post_layout_excerpt.sticky .post_meta_item.post_date a:hover {
            color: {$colors['text_hover']};   
        }
        
        /* Promo */
        /* color style 'Default' */
        .sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        /* color style 'Link2' */
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: left bottom !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right bottom !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right top !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right bottom !important;
        }

        /* color style 'Link3' */
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
            color: {$colors['inverse_link']} !important;
            background-position: right bottom !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
            color: {$colors['inverse_link']} !important;
            background-position: right top !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
            color: {$colors['inverse_link']} !important;
            background-position: right bottom !important;
        }
        /* color style 'Dark' */
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_dark']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_dark']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_dark']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_dark']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
            background-position: left bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
            background-position: right bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
            background-position: right top !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
            background-position: right bottom !important;
            color: {$colors['inverse_link']} !important;
        }     
               
		/* Action */
       /* default */
        .sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {	background: linear-gradient(to right,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link']} !important; }
        .sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  background: linear-gradient(to left,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link']} !important; }
        .sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	background: linear-gradient(to bottom,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link']} !important; }
        .sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {	background: linear-gradient(to top,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link']} !important; }
        
        /* Default hover */
        .sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        .sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }
        .sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: right top !important;
        }
        .sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }

        /* Link2 */
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {	background: linear-gradient(to right,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link2']} !important; }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  background: linear-gradient(to left,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link2']} !important; }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	background: linear-gradient(to bottom,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link2']} !important; }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {	background: linear-gradient(to top,		{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link2']} !important; }


        /* Link2 hover */
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important;
            background-position: left bottom !important;
        }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important; 
            background-position: right bottom !important;
        }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right top !important;
        }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important; 
            background-position: right bottom !important;
        }
       /* Link3 */
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {	background: linear-gradient(to right,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link3']} !important; }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  background: linear-gradient(to left,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link3']} !important; }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	background: linear-gradient(to bottom,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link3']} !important; }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {	background: linear-gradient(to top,		{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link3']} !important; }
  
        /* Link3 hover */
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: right top !important;
        }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }
  
       /* Dark */
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important; 
            background: linear-gradient(to right,	{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_dark']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  
            color: {$colors['inverse_link']} !important; 
            background: linear-gradient(to left,	{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_dark']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	
            color: {$colors['inverse_link']} !important; 
            background: linear-gradient(to bottom,	{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_dark']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important; 
            background: linear-gradient(to top,		{$colors['text_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_dark']} !important;
        }
          /* Dark hover */
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            background-position: left bottom !important; color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            background-position: right bottom !important; color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            background-position: right top !important; color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            background-position: right bottom !important; color: {$colors['inverse_link']} !important; 
        }
        
        /* MailChimp */
        /* Slide Effect */
        /* ------------ */
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to right,	{$colors['extra_hover2']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_dark']} !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to left,	{$colors['extra_hover2']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_dark']} !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to bottom,	{$colors['extra_hover2']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_dark']} !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to top,		{$colors['extra_hover2']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_dark']} !important;
        }
        /* Hover  Slide Effect */
        /* --------------------*/
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: right bottom !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
            color: {$colors['inverse_link']} !important; 
            background-position: right top !important; 
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 	
            background-position: right bottom !important; 
        }
        
        /* Video */
        .trx_addons_video_player.with_cover .video_hover,
        .format-video .post_featured.with_thumb .post_video_hover,
        .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover {
            color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        .trx_addons_video_player.with_cover .video_hover:hover,
        .format-video .post_featured.with_thumb .post_video_hover:hover,
        .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover:hover {
            background-color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        /* BlockQuote */  
        blockquote:not(.has-text-color),
        blockquote:not(.has-text-color) p,
        .wp-block-quote__citation {
            color: {$colors['inverse_link']} !important;
        }
        blockquote:not(.has-text-color) > cite,
        blockquote:not(.has-text-color) p > cite {
            color:{$colors['alter_dark']} !important;
        }
        
        /* Title */
        .scheme_self.sc_title.color_style_dark .sc_item_title.sc_item_title_style_with_line:after {
             background-color:{$colors['text_dark']};	
        }   
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:after,
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:before {
            background-color:{$colors['text_dark']};	
        }
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle {
            color:{$colors['text_dark']};	
        }
        .scheme_self.sc_title.color_style_dark .sc_item_title_style_with_line.sc_item_subtitle {
            color:{$colors['text_dark']};
        }
        
        /* Slider */
        .sc_slider_controls .slider_controls_wrap > a,
        .slider_container.slider_controls_side .slider_controls_wrap > a,
        .slider_outer_controls_side .slider_controls_wrap > a,
        .slider_outer_controls_outside .slider_controls_wrap > a {
            color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        .sc_slider_controls .slider_controls_wrap > a:hover,
        .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
        .slider_outer_controls_side .slider_controls_wrap > a:hover,
        .slider_outer_controls_outside .slider_controls_wrap > a:hover {
            background-color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        .slider_container.slider_controls_top .slider_controls_wrap > a,
        .slider_container.slider_controls_bottom .slider_controls_wrap > a,
        .slider_outer_controls_top .slider_controls_wrap > a,
        .slider_outer_controls_bottom .slider_controls_wrap > a {
            color: {$colors['text_hover']};
            border-color: {$colors['text_hover']};
        }
        /* Icons */
        .color_style_link3.sc_icons_extra .sc_icons_item_linked .sc_icons_icon, 
        .color_style_link3.sc_icons_alter .sc_icons_item_linked .sc_icons_icon {
            color: {$colors['text_dark']};
        } 
        .color_style_link3.sc_icons_extra .sc_icons_item_linked:hover .sc_icons_icon,   
        .color_style_link3.sc_icons_alter .sc_icons_item_linked:hover .sc_icons_icon {
            color: {$colors['text_link']};
        }
        .color_style_dark.sc_icons_alter .sc_icons_item:hover:before {
            border-left-color: {$colors['text_dark']};
        }  
        

CSS;
		}

		return $css;
	}
}

