<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
	function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
			/* Title */
            .scheme_self.sc_title.color_style_dark .sc_item_title.sc_item_title_style_with_line:after {
                background-color:{$colors['text_dark']};	
            }   
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:after,
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:before {
                background-color:{$colors['text_dark']};	
            }
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle {
                color:{$colors['text_dark']};	
            }
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_with_line.sc_item_subtitle {
                color:{$colors['text_dark']};
            }
			
			/* Action */
			/* Dark */
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {
                 color: {$colors['inverse_link']} !important; 
                 background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  
                color: {$colors['inverse_link']} !important; 
                background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	
                color: {$colors['inverse_link']} !important; 
                background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important; 
                background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_dark']} !important;
            }
            
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            	background-position: left bottom !important; color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            	background-position: right bottom !important; color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            	background-position: right top !important; color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            	background-position: right bottom !important; color: {$colors['inverse_link']} !important; 
            }
            /* Promo */
            /* color style 'Dark' */
            .color_style_dark.sc_promo .sc_button_default {
                color:{$colors['inverse_link']} !important;
                background-color: {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default:hover {
                color:{$colors['inverse_link']} !important;
                background-color: {$colors['text_link']} !important;
            }
            
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left {
                background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_dark']} !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right {
                background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_dark']} !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top {
                background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_dark']} !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
                background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_dark']} !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
                background-position: left bottom !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
                background-position: right bottom !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
                background-position: right top !important;
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
                background-position: right bottom !important;
                color: {$colors['inverse_link']} !important;
            }
            /* MailChimp */
            /* Button */
            form.mc4wp-form .mc4wp-form-fields button {
                color: {$colors['inverse_link']};	
                background-color: {$colors['inverse_dark']};	
            }
            form.mc4wp-form .mc4wp-form-fields button:hover {
                color: {$colors['inverse_link']};	
                background-color: {$colors['text_link']};	
            } 
            .btn_color form.mc4wp-form .mc4wp-form-fields button {
                color: {$colors['inverse_link']};	
                background-color: {$colors['text_link']};	
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button:hover {
                color: {$colors['inverse_link']};	
                background-color: {$colors['text_hover']};	
            } 
     
            /* Slide Effect */
            /* ------------ */
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to right,	{$colors['extra_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_dark']} !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to left,	{$colors['extra_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_dark']} !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to bottom,	{$colors['extra_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_dark']} !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to top,		{$colors['extra_hover']} 50%, {$colors['inverse_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_dark']} !important;
            }
            /* Hover  Slide Effect */
            /* --------------------*/
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
                color: {$colors['inverse_link']} !important;
                background-position: left bottom !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
                background-position: right bottom !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
                color: {$colors['inverse_link']} !important; 
                background-position: right top !important; 
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important; 	
                background-position: right bottom !important; 
            }
            
            /* Excerpt */	
            .post_layout_excerpt.sticky .post_content_wrapper {
                background-color: {$colors['text_hover']};   
            }
            .post_layout_excerpt.sticky .post_title,
            .post_layout_excerpt.sticky .post_title a {
                color: {$colors['inverse_link']};
            }
            .post_layout_excerpt.sticky .post_title a:hover {
                color: {$colors['inverse_dark']}; 
            }
            .post_layout_excerpt.sticky .post_meta_item.post_date,
            .post_layout_excerpt.sticky .post_meta_item.post_date a {
                color: {$colors['inverse_link']};   
            }
            .post_layout_excerpt.sticky .post_meta_item.post_date a:hover {
                color: {$colors['inverse_dark']};   
            }
            .post_layout_excerpt.sticky.post_item .post_content_wrapper:before {
                border-left-color: {$colors['inverse_link']}; 
            }
            .post_layout_excerpt.sticky.post_item:hover .post_content_wrapper:before {
                border-left-color: {$colors['inverse_link']}; 
            }
            
            .post_layout_excerpt.sticky .post_featured.hover_stroke a span {
                background: {$colors['text_link']};
            }
            
            .sticky.post_layout_excerpt.post_item .more-link {
                color: {$colors['inverse_dark']};
                background-color: {$colors['inverse_link']};
            }
            
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_left:not([disabled="disabled"]) {
            	background: linear-gradient(to right,	{$colors['inverse_dark']} 50%, {$colors['inverse_link']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['inverse_link']} !important;
            	color: {$colors['inverse_dark']} !important;
            }

            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_right:not([disabled="disabled"]) { 
                background: linear-gradient(to left,	{$colors['inverse_dark']} 50%, {$colors['inverse_link']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['inverse_link']} !important; 
                color: {$colors['inverse_dark']} !important;
            }
            
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_top:not([disabled="disabled"]) {
            	background: linear-gradient(to bottom,	{$colors['inverse_dark']} 50%, {$colors['inverse_link']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['inverse_link']} !important; 
            	color: {$colors['inverse_dark']} !important;
            }
            
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            	background: linear-gradient(to top,		{$colors['inverse_dark']} 50%, {$colors['inverse_link']} 50%) no-repeat scroll right top / 100% 210% {$colors['inverse_link']} !important;
            	color: {$colors['inverse_dark']} !important;
            }

            .sticky.post_layout_excerpt.post_item .more-link:hover {
                color: {$colors['inverse_link']};
                background-color: {$colors['inverse_dark']};
            }
            
			.sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
                background-position: left bottom !important;
                color: {$colors['inverse_link']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {	  
                background-position: right bottom !important;
                color: {$colors['inverse_link']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
                background-position: right top !important;
                color: {$colors['inverse_link']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover { 
                background-position: right bottom !important;
                color: {$colors['inverse_link']} !important;
            }

			
			
            /* BlockQuote */  
            div:not(.is-style-solid-color) > blockquote {
                background-color:  {$colors['text_hover']};
            }

            blockquote:not(.has-text-color),
            blockquote:not(.has-text-color) p,
            .wp-block-quote__citation {
                color: {$colors['inverse_link']} !important;
            }
            blockquote:not(.has-text-color) > cite,
            blockquote:not(.has-text-color) p > cite {
                color:{$colors['alter_dark']} !important;
            }
            
            
			 

CSS;
		}

		return $css;
	}
}

