<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

            .elementor-widget-counter .elementor-counter .elementor-counter-number-prefix,
            .elementor-widget-counter .elementor-counter .elementor-counter-number-suffix,
            .elementor-widget-counter .elementor-counter .elementor-counter-number {
                {$fonts['h5_font-family']}
            }

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
			
			/* SpeakOut */
			.dk-speakout-signaturelist-prev:hover,
            .dk-speakout-signaturelist-next:hover {
                background-color: {$colors['text_link']};
                border-color: {$colors['text_link']};
            }
			
			/* Normal button */
            form button:not(.components-button),
            input[type="reset"],
            input[type="submit"],
            input[type="button"],
            .post_item .more-link,
            .comments_wrap .form-submit input[type="submit"],
            .wp-block-button:not(.is-style-outline) > .wp-block-button__link,
            /* BB & Buddy Press */
            #buddypress .comment-reply-link,
            #buddypress .generic-button a,
            #buddypress a.button,
            #buddypress button,
            #buddypress input[type="button"],
            #buddypress input[type="reset"],
            #buddypress input[type="submit"],
            #buddypress ul.button-nav li a,
            a.bp-title-button,
            /* Booked */
            .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button,
            #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button > a,
            #booked-profile-page input[type="submit"],
            #booked-profile-page button,
            .booked-list-view input[type="submit"],
            .booked-list-view button,
            table.booked-calendar input[type="submit"],
            table.booked-calendar button,
            .booked-modal input[type="submit"],
            .booked-modal button,
            /* ThemeREX Addons */
            .sc_button_default,
            .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image),
            .socials_share:not(.socials_type_drop) .social_icon,
            /* Tour Master */
            .tourmaster-tour-search-wrap input.tourmaster-tour-search-submit[type="submit"],
            /* Tribe Events */
            #tribe-bar-form .tribe-bar-submit input[type="submit"],
            #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"],
            #tribe-bar-form .tribe-bar-views-toggle,
            #tribe-bar-views li.tribe-bar-views-option,
            #tribe-events .tribe-events-button,
            .tribe-events-button,
            .tribe-events-cal-links a,
            .tribe-events-sub-nav li a,
            /* EDD buttons */
            .edd_download_purchase_form .button,
            #edd-purchase-button,
            .edd-submit.button,
            .widget_edd_cart_widget .edd_checkout a,
            .sc_edd_details .downloads_page_tags .downloads_page_data > a,
            /* MailChimp */
            .mc4wp-form input[type="submit"] {
                color: {$colors['inverse_link']};
            }
            
            .sticky.post_layout_excerpt.post_item .more-link {
                 color: {$colors['inverse_dark']};
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_left:not([disabled="disabled"]) {	
                color: {$colors['inverse_dark']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_top:not([disabled="disabled"]) {	
                color: {$colors['inverse_dark']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            	color: {$colors['inverse_dark']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
                color: {$colors['inverse_link']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {	
                color: {$colors['inverse_link']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }
            .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover { 
                color: {$colors['inverse_link']} !important;
            }


           /* Button Hover */
            form button:not(.components-button):hover,
            form button:not(.components-button):focus,
            input[type="submit"]:hover,
            input[type="submit"]:focus,
            input[type="reset"]:hover,
            input[type="reset"]:focus,
            input[type="button"]:hover,
            input[type="button"]:focus,
            .post_item .more-link:hover,
            .comments_wrap .form-submit input[type="submit"]:hover,
            .comments_wrap .form-submit input[type="submit"]:focus,
            .wp-block-button:not(.is-style-outline) > .wp-block-button__link:hover,
            .wp-block-button:not(.is-style-outline) > .wp-block-button__link:focus,
            /* BB & Buddy Press */
            #buddypress .comment-reply-link:hover,
            #buddypress .comment-reply-link:focus,
            #buddypress .generic-button a:hover,
            #buddypress .generic-button a:focus,
            #buddypress a.button:hover,
            #buddypress a.button:focus,
            #buddypress button:hover,
            #buddypress button:focus,
            #buddypress input[type="button"]:hover,
            #buddypress input[type="button"]:focus,
            #buddypress input[type="reset"]:hover,
            #buddypress input[type="reset"]:focus,
            #buddypress input[type="submit"]:hover,
            #buddypress input[type="submit"]:focus,
            #buddypress ul.button-nav li a:hover,
            #buddypress ul.button-nav li a:focus,
            a.bp-title-button:hover,
            a.bp-title-button:focus,
            /* Booked */
            .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button:hover,
            .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button:focus,
            #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button > a:hover,
            #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button > a:focus,
            #booked-profile-page input[type="submit"]:hover,
            #booked-profile-page input[type="submit"]:focus,
            #booked-profile-page button:hover,
            #booked-profile-page button:focus,
            .booked-list-view input[type="submit"]:hover,
            .booked-list-view input[type="submit"]:focus,
            .booked-list-view button:hover,
            .booked-list-view button:focus,
            table.booked-calendar input[type="submit"]:hover,
            table.booked-calendar input[type="submit"]:focus,
            table.booked-calendar button:hover,
            table.booked-calendar button:focus,
            .booked-modal input[type="submit"]:hover,
            .booked-modal input[type="submit"]:focus,
            .booked-modal button:hover,
            .booked-modal button:focus,
            /* ThemeREX Addons */
            .sc_button_default:hover,
            .sc_button_default:focus,
            .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus,
            .socials_share:not(.socials_type_drop) .social_icon:hover,
            .socials_share:not(.socials_type_drop) .social_icon:focus,
            /* Tour Master */
            .tourmaster-tour-search-wrap input.tourmaster-tour-search-submit[type="submit"]:hover,
            .tourmaster-tour-search-wrap input.tourmaster-tour-search-submit[type="submit"]:focus,
            /* Tribe Events */
            #tribe-bar-form .tribe-bar-submit input[type="submit"]:hover,
            #tribe-bar-form .tribe-bar-submit input[type="submit"]:focus,
            #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:hover,
            #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:focus,
            #tribe-bar-form .tribe-bar-views-toggle:hover,
            #tribe-bar-form .tribe-bar-views-toggle:focus,
            #tribe-bar-views li.tribe-bar-views-option:hover,
            #tribe-bar-views li.tribe-bar-views-option:focus,
            #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active,
            #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active:hover,
            #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active:focus,
            #tribe-events .tribe-events-button:hover,
            #tribe-events .tribe-events-button:focus,
            .tribe-events-button:hover,
            .tribe-events-button:focus,
            .tribe-events-cal-links a:hover,
            .tribe-events-cal-links a:focus,
            .tribe-events-sub-nav li a:hover,
            .tribe-events-sub-nav li a:focus,
            /* EDD buttons */
            .edd_download_purchase_form .button:hover, .edd_download_purchase_form .button:active, .edd_download_purchase_form .button:focus,
            #edd-purchase-button:hover, #edd-purchase-button:active, #edd-purchase-button:focus,
            .edd-submit.button:hover, .edd-submit.button:active, .edd-submit.button:focus,
            .widget_edd_cart_widget .edd_checkout a:hover,
            .widget_edd_cart_widget .edd_checkout a:focus,
            .sc_edd_details .downloads_page_tags .downloads_page_data > a:hover,
            .sc_edd_details .downloads_page_tags .downloads_page_data > a:focus,
            /* MailChimp */
            .mc4wp-form input[type="submit"]:hover,
            .mc4wp-form input[type="submit"]:focus {
                color: {$colors['inverse_dark']};
            }
            .sticky.post_layout_excerpt.post_item .more-link:hover {
                 color: {$colors['inverse_hover']};
            }
            
            .theme_button:hover,
            .theme_button:focus {
                color: {$colors['inverse_dark']} !important;
            }
           
            .sc_button_default.color_style_link2,
            .color_style_link2 .sc_button_default,
            .sc_button.color_style_link2:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image),
            .color_style_link2 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image) {
                color: {$colors['inverse_dark']} 
            }
            .sc_button_default.color_style_link2:hover,
            .sc_button_default.color_style_link2:focus,
            .color_style_link2 .sc_button_default:hover,
            .color_style_link2 .sc_button_default:focus,
            .sc_button.color_style_link2:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .sc_button.color_style_link2:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus,
            .color_style_link2 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .color_style_link2 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus {
                color: {$colors['inverse_link']} 
            }
            .sc_button_default.color_style_link3,
            .color_style_link3 .sc_button_default,
            .sc_button.color_style_link3:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image),
            .color_style_link3 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image) {
                color: {$colors['inverse_link']} 
            }
            .sc_button_default.color_style_link3:hover,
            .sc_button_default.color_style_link3:focus,
            .color_style_link3 .sc_button_default:hover,
            .color_style_link3 .sc_button_default:focus,
            .sc_button.color_style_link3:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .sc_button.color_style_link3:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus,
            .color_style_link3 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .color_style_link3 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus {
                color: {$colors['inverse_hover']} 
            }
            .sc_button_default.color_style_dark,
            .color_style_dark .sc_button_default,
            .sc_button.color_style_dark:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image),
            .color_style_dark .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image) {
                color: {$colors['inverse_hover']};
                background-color: {$colors['text_dark']};
            }
            .sc_button_default.color_style_dark:hover,
            .sc_button_default.color_style_dark:focus,
            .color_style_dark .sc_button_default:hover,
            .color_style_dark .sc_button_default:focus,
            .sc_button.color_style_dark:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .sc_button.color_style_dark:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus,
            .color_style_dark .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
            .color_style_dark .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus {
                color: {$colors['inverse_link']};
                background-color: {$colors['text_link']};
            }

           
            /* Hover Slide */
            .sc_button_hover_slide_left:not([disabled="disabled"])   {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_slide_right:not([disabled="disabled"])  {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_slide_top:not([disabled="disabled"])    {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_slide_bottom:not([disabled="disabled"]) {  color: {$colors['inverse_link']} !important; }

            .sc_button_hover_slide_left:not([disabled="disabled"]):hover,
            .sc_button_hover_slide_left.active,
            .ui-state-active .sc_button_hover_slide_left,.sc_button_hover_slide_right:hover
            .vc_active .sc_button_hover_slide_left,
            .vc_tta-accordion .vc_tta-panel-title:hover .sc_button_hover_slide_left,
            li.active .sc_button_hover_slide_left {	
	            color: {$colors['inverse_dark']} !important;
	        }
	        	       
	        .sc_button_hover_slide_right:not([disabled="disabled"]):hover,
            .sc_button_hover_slide_right.active,
            .ui-state-active .sc_button_hover_slide_right,
            .vc_active .sc_button_hover_slide_right,
            .vc_tta-accordion .vc_tta-panel-title:hover .sc_button_hover_slide_right,
            li.active .sc_button_hover_slide_right {
                color: {$colors['inverse_dark']} !important; 
            }
            
            .sc_button_hover_slide_top:not([disabled="disabled"]):hover,
            .sc_button_hover_slide_top.active,
            .ui-state-active .sc_button_hover_slide_top,
            .vc_active .sc_button_hover_slide_top,
            .vc_tta-accordion .vc_tta-panel-title:hover .sc_button_hover_slide_top,
            li.active .sc_button_hover_slide_top {	
            	color: {$colors['inverse_dark']} !important; 
            }
            
            .sc_button_hover_slide_bottom:not([disabled="disabled"]):hover,
            .sc_button_hover_slide_bottom.active,
            .ui-state-active .sc_button_hover_slide_bottom,
            .vc_active .sc_button_hover_slide_bottom,
            .vc_tta-accordion .vc_tta-panel-title:hover .sc_button_hover_slide_bottom,
            li.active .sc_button_hover_slide_bottom {
            	color: {$colors['inverse_dark']} !important; 
            } 	       

	        .sc_button_hover_style_link2.sc_button_hover_slide_left:not([disabled="disabled"])    {	 color: {$colors['inverse_dark']} !important;  }
            .sc_button_hover_style_link2.sc_button_hover_slide_right:not([disabled="disabled"])   {     color: {$colors['inverse_dark']} !important;  }
            .sc_button_hover_style_link2.sc_button_hover_slide_top:not([disabled="disabled"])     {	 color: {$colors['inverse_dark']} !important;  }
            .sc_button_hover_style_link2.sc_button_hover_slide_bottom:not([disabled="disabled"])  {	 color: {$colors['inverse_dark']} !important;  }
            
            .sc_button_hover_style_link2.sc_button_hover_slide_left:not([disabled="disabled"]):hover   {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_style_link2.sc_button_hover_slide_right:not([disabled="disabled"]):hover  {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_style_link2.sc_button_hover_slide_top:not([disabled="disabled"]):hover    {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_style_link2.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {  color: {$colors['inverse_link']} !important; }
            
            .sc_button_hover_style_link3.sc_button_hover_slide_left:not([disabled="disabled"])    {	 color: {$colors['inverse_link']} !important;  }
            .sc_button_hover_style_link3.sc_button_hover_slide_right:not([disabled="disabled"])   {     color: {$colors['inverse_link']} !important;  }
            .sc_button_hover_style_link3.sc_button_hover_slide_top:not([disabled="disabled"])     {	 color: {$colors['inverse_link']} !important;  }
            .sc_button_hover_style_link3.sc_button_hover_slide_bottom:not([disabled="disabled"])  {	 color: {$colors['inverse_link']} !important;  }
            
            .sc_button_hover_style_link3.sc_button_hover_slide_left:not([disabled="disabled"]):hover   {  color: {$colors['inverse_hover']} !important; }
            .sc_button_hover_style_link3.sc_button_hover_slide_right:not([disabled="disabled"]):hover  {  color: {$colors['inverse_hover']} !important; }
            .sc_button_hover_style_link3.sc_button_hover_slide_top:not([disabled="disabled"]):hover    {  color: {$colors['inverse_hover']} !important; }
            .sc_button_hover_style_link3.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {  color: {$colors['inverse_hover']} !important; }
            
            .sc_button_hover_style_dark.sc_button_hover_slide_left:not([disabled="disabled"])    {	 color: {$colors['inverse_hover']} !important;  }
            .sc_button_hover_style_dark.sc_button_hover_slide_right:not([disabled="disabled"])   {  color: {$colors['inverse_hover']} !important;  }
            .sc_button_hover_style_dark.sc_button_hover_slide_top:not([disabled="disabled"])     {	 color: {$colors['inverse_hover']} !important;  }
            .sc_button_hover_style_dark.sc_button_hover_slide_bottom:not([disabled="disabled"])  {	 color: {$colors['inverse_hover']} !important;  }
            
            .sc_button_hover_style_dark.sc_button_hover_slide_left:not([disabled="disabled"]):hover   {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_style_dark.sc_button_hover_slide_right:not([disabled="disabled"]):hover  {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_style_dark.sc_button_hover_slide_top:not([disabled="disabled"]):hover    {  color: {$colors['inverse_link']} !important; }
            .sc_button_hover_style_dark.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {  color: {$colors['inverse_link']} !important; }
            
            .sc_button_hover_style_extra_link.sc_button_hover_slide_left:not([disabled="disabled"])    {  color: {$colors['text_dark']} !important;	   background: linear-gradient(to right,	{$colors['extra_link']} 50%, {$colors['extra_hover']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['extra_hover']} !important; }
            .sc_button_hover_style_extra_link.sc_button_hover_slide_right:not([disabled="disabled"])   {  color: {$colors['text_dark']} !important;	   background: linear-gradient(to left,	    {$colors['extra_link']} 50%, {$colors['extra_hover']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['extra_hover']} !important; }
            .sc_button_hover_style_extra_link.sc_button_hover_slide_top:not([disabled="disabled"])     {  color: {$colors['text_dark']} !important;	   background: linear-gradient(to bottom,	{$colors['extra_link']} 50%, {$colors['extra_hover']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['extra_hover']} !important; }
            .sc_button_hover_style_extra_link.sc_button_hover_slide_bottom:not([disabled="disabled"])  {  color: {$colors['text_dark']} !important;	   background: linear-gradient(to top,		{$colors['extra_link']} 50%, {$colors['extra_hover']} 50%) no-repeat scroll right top / 100% 210% {$colors['extra_hover']} !important; }

             .sc_button_hover_style_extra_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
                color: {$colors['inverse_hover']} !important;
                background-position: left bottom !important;
            }
            .sc_button_hover_style_extra_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
                color: {$colors['inverse_hover']} !important;
                background-position: right bottom !important;
            }
            .sc_button_hover_style_extra_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
                color: {$colors['inverse_hover']} !important;
                background-position: right top !important;
            }
            .sc_button_hover_style_extra_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
                color: {$colors['inverse_hover']} !important;
                background-position: right bottom !important;
            }
            
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_left:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            }
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            }
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_top:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            }
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            } 
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }
            .sc_button_hover_style_extra_link_2.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }

            /* Hover Image */
            /* Stroke */
            .post_featured.hover_stroke a span {
                background: {$colors['text_hover']};
            }
            
            /* Menu */
            .sc_layouts_menu_nav > li > a:hover,
            .sc_layouts_menu_nav > li.sfHover > a {
                color: {$colors['text_link']} !important;
            }
            .sc_layouts_menu_nav > li.current-menu-item > a,
            .sc_layouts_menu_nav > li.current-menu-parent > a,
            .sc_layouts_menu_nav > li.current-menu-ancestor > a {
                color: {$colors['text_link']} !important;
            }
            .sc_layouts_menu_nav .menu-collapse > a:hover:before,
            .sc_layouts_menu_nav .menu-collapse > a:focus:before {
                color: {$colors['alter_link']};
            }
            
            /* Tags */
            .post_item_single .post_content .post_tags,
            .post_item_single .post_content .post_tags a {
                color:  {$colors['text_link']} !important;
            }
            .post_item_single .post_content .post_tags a:hover {
                color:  {$colors['inverse_link']} !important;
            }
            /* Widgets */
            .sidebar .sc_edd_details .downloads_page_tags .downloads_page_data > a,
            .sidebar .widget_product_tag_cloud a,
            .sidebar .widget_tag_cloud a {
                color:  {$colors['alter_link']} !important;
            }
            .sidebar .sc_edd_details .downloads_page_tags .downloads_page_data > a:hover,
            .sidebar .widget_product_tag_cloud a:hover,
            .sidebar .widget_tag_cloud a:hover {
                color:  {$colors['inverse_link']} !important;
            }
            

            /* Widget Recent Post */
            .sidebar.widget_area .post_item .post_title a:hover,
            .sidebar aside .post_item .post_title a:hover {
                color: {$colors['text_link']};
            }
            .scheme_self.sidebar.widget_area .post_item .post_title a:hover,
            .scheme_self.sidebar aside .post_item .post_title a:hover {
                color: {$colors['alter_link']};
            }
           
            /* Widget Calendar */
            .widget_calendar td#today:before {
                background-color: {$colors['text_link']};
            }
            .scheme_self.sidebar .widget_calendar td#today:before {
                background-color: {$colors['alter_link']};
            }
                       
            /* Row  */
            .scheme_self.footer_wrap .sc_layouts_row_type_compact .socials_wrap .social_item:hover .social_icon {
                color: {$colors['inverse_dark']};
            }
            
            /* Accent Bg */
            .trx_addons_accent_bg {
                color: {$colors['inverse_text']};
                background-color: {$colors['text_hover']};
            }
            /* Tooltip */
            .trx_addons_tooltip:before {
                color: {$colors['text_hover']};
                background-color: {$colors['text_dark']};
            }
            /* DropCaps */
            .trx_addons_dropcap_style_1 {
                color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            /* List */
            ul[class*="trx_addons_list_custom"] > li:before {
                color: {$colors['text_link']};
            }
            
            /* Blockquote */
            section > blockquote,
            div:not(.is-style-solid-color) > blockquote,
            figure:not(.is-style-solid-color) > blockquote {
                background-color: {$colors['alter_hover']};
            }
            
            blockquote:not(.has-text-color):before {
                color: {$colors['alter_dark']};
            }
            /* Title */
            .color_style_dark .sc_item_title.sc_item_title_style_with_line:after {
                 background-color: {$colors['text_dark']};
            }
            .color_style_dark .sc_item_subtitle {
                 color: {$colors['text_dark']};
            }
            .color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:after,
            .color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:before {
                background-color:{$colors['text_dark']};	   
            } 
            
            /* Action */
            .sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important; 
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important; 
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important; 
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
            }
            .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important; 
            }
            
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important; 
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important; 
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
                color: {$colors['inverse_dark']} !important; 
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
                color: {$colors['inverse_dark']} !important; 
            }
            
            

            /* Promo */
            /* Style Dark */
            .color_style_dark.sc_promo .sc_button_default {
                color:{$colors['inverse_link']} !important;
                background-color: {$colors['text_link']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default:hover {
                color:{$colors['inverse_hover']} !important;
                background-color: {$colors['text_dark']} !important;
            }
            /* Slide Button */
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_left {
                color:{$colors['inverse_dark']} !important;
            }
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_top {
                color:{$colors['inverse_dark']} !important;
            }
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_right {
                color:{$colors['inverse_dark']} !important;
            }
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
                color:{$colors['inverse_dark']} !important;
            }
            
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
                color:{$colors['inverse_link']} !important;
            }
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
                color:{$colors['inverse_link']} !important;
            }
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
                color:{$colors['inverse_link']} !important;
            }
            .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
                color:{$colors['inverse_link']} !important;
            }
            
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left {
                color: {$colors['inverse_hover']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top {
                color: {$colors['inverse_hover']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right {
                color: {$colors['inverse_hover']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
                color: {$colors['inverse_hover']} !important;
            }
            
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
                color: {$colors['inverse_dark']} !important;
            }
            .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
                color: {$colors['inverse_dark']} !important;
            }
            /* Slider */
            .slider_container.slider_controls_top .slider_controls_wrap > a:hover,
            .slider_container.slider_controls_bottom .slider_controls_wrap > a:hover,
            .slider_outer_controls_top .slider_controls_wrap > a:hover,
            .slider_outer_controls_bottom .slider_controls_wrap > a:hover {
                border-color: {$colors['text_link']};
                background-color: {$colors['text_link']};
            }
            .sc_slider_controls .slider_controls_wrap > a,
            .slider_container.slider_controls_side .slider_controls_wrap > a,
            .slider_outer_controls_side .slider_controls_wrap > a,
            .slider_outer_controls_outside .slider_controls_wrap > a {
                color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            .sc_slider_controls .slider_controls_wrap > a:hover,
            .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
            .slider_outer_controls_side .slider_controls_wrap > a:hover,
            .slider_outer_controls_outside .slider_controls_wrap > a:hover {
                background-color: {$colors['text_link']};
                border-color: {$colors['text_link']};
            }
            
            /* Video */
            .trx_addons_video_player.with_cover .video_hover,
            .format-video .post_featured.with_thumb .post_video_hover,
            .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover {
                color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            .trx_addons_video_player.with_cover .video_hover:hover,
            .format-video .post_featured.with_thumb .post_video_hover:hover,
            .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover:hover {
                background-color: {$colors['text_link']};
                border-color: {$colors['text_link']};
            }
            
            /* MailChimp */
            form.mc4wp-form input[type="checkbox"]:checked + label a,
            form.mc4wp-form input[type="checkbox"]:checked + label {
                 color:{$colors['text_dark']} !important;
            }  
            form.mc4wp-form .mc4wp-form-fields button {
                 color:{$colors['inverse_link']};
                 background-color: {$colors['text_link']};
            }
            form.mc4wp-form .mc4wp-form-fields button:hover {
                 color:{$colors['inverse_dark']};
                 background-color: {$colors['text_hover']};
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button {
                color:{$colors['inverse_link']};
                background-color: {$colors['text_link']};
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button:hover {
                color:{$colors['inverse_hover']};
                background-color: {$colors['text_dark']};
            }
            /* Slide Effect */
            /* ------------ */
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to right,	{$colors['inverse_dark']} 50%, {$colors['extra_link']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['extra_link']} !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to left,	{$colors['inverse_dark']} 50%, {$colors['extra_link']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['extra_link']} !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to bottom,	{$colors['inverse_dark']} 50%, {$colors['extra_link']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['extra_link']} !important;
            }
            form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_link']} !important;
                background: linear-gradient(to top,		{$colors['inverse_dark']} 50%, {$colors['extra_link']} 50%) no-repeat scroll right top / 100% 210% {$colors['extra_link']} !important;
            }
            
            /* Another Color Style MailChimp Button */
            /* ------------------------------------ */ 
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
                background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_hover']} !important;
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
                background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_hover']} !important;
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
                background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_hover']} !important;
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
                color: {$colors['inverse_dark']} !important;
                background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_hover']} !important;
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
                color: {$colors['inverse_link']} !important;
                background-position: left bottom !important;
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important;
                background-position: right bottom !important;
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
                color: {$colors['inverse_link']} !important; 
                background-position: right top !important; 
            }
            .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
                color: {$colors['inverse_link']} !important; 	
                background-position: right bottom !important; 
            }
            
            /* Essential Grid */
            .esgbox-toolbar .esgbox-button.esgbox-button--fullscreen:hover,
            .esgbox-toolbar .esgbox-button.esgbox-button--share:hover,
            .esgbox-toolbar .esgbox-button.esgbox-button--thumbs:hover,
            .esgbox-toolbar .esgbox-button.esgbox-button--close:hover {
                 color:{$colors['text_dark']};
            }
            /* Revolution Slider */
            .rev_slider .socials_wrap .social_item:hover .social_icon,
            .revslider-initialised .socials_wrap .social_item:hover .social_icon {
                background-color:{$colors['text_link']};
            }
            /* Icons */
            .sc_icons_alter .sc_icons_item_linked:hover .sc_icons_icon {
                color:{$colors['text_link']};
            }

            

            

CSS;
		}

		return $css;
	}
}

