<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
	function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
			/* ToolTip */
			.trx_addons_tooltip:before {
                color: {$colors['inverse_hover']};
                background-color: {$colors['text_dark']};
            }
            /* Title */
            .scheme_self.sc_title.color_style_dark .sc_item_title.sc_item_title_style_with_line:after {
                 background-color:{$colors['text_dark']};	
            }   
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:after,
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:before {
                background-color:{$colors['text_dark']};	
            }
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle {
                color:{$colors['text_dark']};	
            }
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_with_line.sc_item_subtitle {
                color:{$colors['text_dark']};
            }
            
            /* Quote */
            blockquote:not(.has-text-color),
            blockquote:not(.has-text-color) p,
            .wp-block-quote .wp-block-quote__citation {
                color: {$colors['inverse_link']} !important;
            }
            
            /* Excerpt */	
            .post_layout_excerpt.sticky .post_title,
            .post_layout_excerpt.sticky .post_title a {
                color: {$colors['inverse_link']};
            }
            .post_layout_excerpt.sticky .post_title a:hover {
                color: {$colors['text_hover']}; 
            }
            .post_layout_excerpt.sticky .post_meta_item.post_date,
            .post_layout_excerpt.sticky .post_meta_item.post_date a {
                color: {$colors['inverse_link']};   
            }
            .post_layout_excerpt.sticky .post_meta_item.post_date a:hover {
                color: {$colors['text_hover']};   
            }
            /* Counter */
            .elementor-widget-counter .elementor-counter .elementor-counter-number-wrapper,
            .elementor-widget-counter .elementor-counter .elementor-counter-number {
                color: {$colors['text_hover']};
            }
                   

CSS;
		}

		return $css;
	}
}

