<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('impacto_patronus_skin_css_theme_setup9')) {
    add_action('after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9);
    function impacto_patronus_skin_css_theme_setup9()
    {
        add_filter('impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2);
    }
}

// Add skin-specific colors and fonts to the custom CSS
if (!function_exists('impacto_patronus_skin_get_css')) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    function impacto_patronus_skin_get_css($css, $args)
    {

        if (isset($css['fonts']) && isset($args['fonts'])) {
            $fonts = $args['fonts'];
            $css['fonts'] .= <<<CSS

CSS;
        }

        if (isset($css['vars']) && isset($args['vars'])) {
            $vars = $args['vars'];
            $css['vars'] .= <<<CSS

CSS;
        }

        if (isset($css['colors']) && isset($args['colors'])) {
            $colors = $args['colors'];
            $css['colors'] .= <<<CSS
			
		/* Hover Decor */	
        .post_featured.hover_decor > a span:nth-child(1) {
             border-top-color: {$colors['text_link3']};
        }
        .post_featured.hover_decor > a span:nth-child(2) {
             border-right-color: {$colors['text_link3']};
        }
        .post_featured.hover_decor > a span:nth-child(3) {
             border-left-color: {$colors['text_link3']};
        }
		.post_featured.hover_decor > a span:nth-child(4) {
             border-bottom-color: {$colors['text_link3']};
        }
		/* Tooltip */
        .trx_addons_tooltip:before {
            color: {$colors['inverse_hover']};
            background-color: {$colors['text_dark']};
        }
        /* List */
        ul.trx_addons_list_extra_dot > li:before {
            color: {$colors['text_link3']}; 
        }
        /* SpeakOut */
        .dk-speakout-signaturelist-prev:hover,
        .dk-speakout-signaturelist-next:hover {
            background-color: {$colors['text_link']};
            border-color: {$colors['text_link']};
        }
		.dk-speakout-half label > span, 
		.dk-speakout-full label > span {
            color: {$colors['text_link']}; 
        }
        .dk-speakout-privacypolicy-wrap label span {
            color: {$colors['text_link']}; 
        }
        .dk-speakout-response-error,
        .dk-speakout-error {
            border-color: {$colors['text_link']} !important;
        }
        /* Give */
        form[id*="give-form"] .give-donation-amount #give-amount:focus,
        form[id*="give-form"] .give-donation-amount #give-amount-text:focus {
            border-color: {$colors['text_link']};
        }
        
        .give_success {
           border-color: {$colors['text_hover']} !important;
        }
        .give_success:before {
           background-color: {$colors['text_hover']} !important;
        }
        .give_error {
            border-color: {$colors['text_link']} !important;
        }
        .give_error:before {
           background-color: {$colors['text_link']} !important;
        }
        
        
		/* Messages */
		.trx_addons_message_box_error {
           color: {$colors['text_link']} !important; 
           border-color: {$colors['text_link']} !important; 
           background-color: {$colors['bg_color']} !important;
        }
      
        form .error_field {
           border-color: {$colors['text_link']} !important; 
        }
        .trx_addons_field_error, .wpcf7-not-valid {
            border-color: {$colors['text_link']} !important; 
        }
        span.wpcf7-not-valid-tip {
            color: {$colors['text_link']} !important; 
        }
        
        div.wpcf7-validation-errors, div.wpcf7-acceptance-missing {
            border-color: {$colors['text_link']} !important; 
        }
        
        div.wpcf7-mail-sent-ok {
            border-color: {$colors['text_hover']} !important; 
        }
        
        form.mc4wp-form .mc4wp-alert {
            border-color: {$colors['text_link']} !important; 
        }
        
        /* Excerpt */
        .post_layout_excerpt.sticky .post_content_wrapper {
            background-color: {$colors['text_link3']};
        }
        .post_layout_excerpt.sticky.post_item {
            color: {$colors['inverse_dark']};
        }
        .post_layout_excerpt.sticky .post_title,
		.post_layout_excerpt.sticky .post_title a {
		    color: {$colors['inverse_dark']};
		}
        .post_layout_excerpt.sticky .post_title a:hover {
            color: {$colors['text_link']}; 
        }
        .post_layout_excerpt.sticky .post_meta_item.post_date,
        .post_layout_excerpt.sticky .post_meta_item.post_date a {
            color: {$colors['text_link']};
        }
        .post_layout_excerpt.sticky .post_meta_item.post_date a:hover {
            color: {$colors['text_hover']};
        }
        .post_layout_excerpt.sticky.post_item:hover .post_content_wrapper:before {
            border-left-color: {$colors['text_link']};
        }
        .sticky.post_layout_excerpt.post_item .more-link {
            color: {$colors['inverse_link']};
            background-color: {$colors['text_hover']};
        }
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_left:not([disabled="disabled"]) { color: {$colors['inverse_link']};	background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_hover']} !important; }
        
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_right:not([disabled="disabled"]) { color: {$colors['inverse_link']};   background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_hover']} !important; }
        
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_top:not([disabled="disabled"]) {	 color: {$colors['inverse_link']};    background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_hover']} !important; }
        
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_bottom:not([disabled="disabled"]) { color: {$colors['inverse_link']};	background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['text_hover']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_hover']} !important; }


        .sticky.post_layout_excerpt.post_item .more-link:hover {
            color: {$colors['inverse_link']};
            background-color: {$colors['text_link']};
        }
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            background-position: left bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {	  
            background-position: right bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
            background-position: right top !important;
            color: {$colors['inverse_link']} !important;
        }
        .sticky.post_layout_excerpt.post_item .more-link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover { 
            background-position: right bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .post_layout_excerpt.sticky .post_featured.hover_stroke a span {
            background: {$colors['text_link']};
        }
        /* Title */
        h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover,
        li a:hover {
            color: {$colors['text_link']};
        }
        .post_item .post_title a:hover, .post_item .post_title a:focus {
            color: {$colors['text_link']};
        }
        .scheme_self.sidebar .post_item .post_title a:hover {
            color: {$colors['alter_link']};
        }
        .scheme_self.footer_wrap .post_item .post_title a:hover {
            color: {$colors['alter_link']};
        }
        .sidebar.widget_area .post_item .post_title a:hover,
        .sidebar aside .post_item .post_title a:hover {
            color: {$colors['text_link']};
        }
        .scheme_self.sidebar.widget_area .post_item .post_title a:hover,
        .scheme_self.sidebar aside .post_item .post_title a:hover {
            color: {$colors['alter_link']};
        }
        
        .sc_layouts_title .post_meta_item a:hover,
        .sc_layouts_title .post_meta_item a:focus,
        .sc_layouts_title .sc_layouts_title_breadcrumbs a:hover,
        .sc_layouts_title .sc_layouts_title_breadcrumbs a:focus,
        .sc_layouts_title .post_meta .vc_inline-link:hover,
        .sc_layouts_title .post_meta .vc_inline-link:focus,
        .sc_layouts_title a.post_meta_item:hover,
        .sc_layouts_title a.post_meta_item:focus,
        .sc_layouts_title .post_meta_item.post_categories a:hover,
        .sc_layouts_title .post_meta_item.post_categories a:focus,
        .sc_layouts_title .post_info .post_info_item a:hover,
        .sc_layouts_title .post_info .post_info_item a:focus,
        .sc_layouts_title .post_info_counters .post_meta_item:hover,
        .sc_layouts_title .post_info_counters .post_meta_item:focus {
            color: {$colors['text_link']};
        }
        
        /* Menu */
        .sc_layouts_menu_nav > li > a:hover,
        .sc_layouts_menu_nav > li.sfHover > a {
            color: {$colors['text_link']} !important;
        }
        .sc_layouts_menu_nav > li.current-menu-item > a,
        .sc_layouts_menu_nav > li.current-menu-parent > a,
        .sc_layouts_menu_nav > li.current-menu-ancestor > a {
            color: {$colors['text_link']} !important;
        }
        .sc_layouts_menu_nav .menu-collapse > a:hover:before,
        .sc_layouts_menu_nav .menu-collapse > a:focus:before {
            color: {$colors['alter_link']};
        }
        
        /* Button Fade */
        .sc_button_default.color_style_link3,
        .color_style_link3 .sc_button_default,
        .sc_button.color_style_link3:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image),
        .color_style_link3 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image) {
            color: {$colors['inverse_dark']} !important; 
            background-color: {$colors['text_link3']};
        }
        .sc_button_default.color_style_link3:hover,
        .sc_button_default.color_style_link3:focus,
        .color_style_link3 .sc_button_default:hover,
        .color_style_link3 .sc_button_default:focus,
        .sc_button.color_style_link3:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
        .sc_button.color_style_link3:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus,
        .color_style_link3 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
        .color_style_link3 .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus {
            color: {$colors['inverse_link']} !important; 
            background-color: {$colors['text_hover3']};
        }
        
        /* Button Slide */
        .sc_button_hover_style_link3.sc_button_hover_slide_left:not([disabled="disabled"])   { color: {$colors['inverse_dark']} !important;	background: linear-gradient(to right,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link3']} !important; }
        .sc_button_hover_style_link3.sc_button_hover_slide_right:not([disabled="disabled"])  { color: {$colors['inverse_dark']} !important; background: linear-gradient(to left,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link3']} !important; }
        .sc_button_hover_style_link3.sc_button_hover_slide_top:not([disabled="disabled"])    { color: {$colors['inverse_dark']} !important;	background: linear-gradient(to bottom,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link3']} !important; }
        .sc_button_hover_style_link3.sc_button_hover_slide_bottom:not([disabled="disabled"]) { color: {$colors['inverse_dark']} !important;	background: linear-gradient(to top,		{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link3']} !important; }

        .sc_button_hover_style_link3.sc_button_hover_slide_left:not([disabled="disabled"]):hover    {    color: {$colors['inverse_link']} !important; background-position: left bottom !important;   }
        .sc_button_hover_style_link3.sc_button_hover_slide_right:not([disabled="disabled"]):hover   {    color: {$colors['inverse_link']} !important; background-position: right bottom !important;  }
        .sc_button_hover_style_link3.sc_button_hover_slide_top:not([disabled="disabled"]):hover     {    color: {$colors['inverse_link']} !important; background-position: right top !important;     }
        .sc_button_hover_style_link3.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover  {    color: {$colors['inverse_link']} !important; background-position: right bottom !important;  }

        
        /* MailChimp */
        /* Slide Effect */
        /* ------------ */
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to right,	{$colors['extra_link2']} 50%, {$colors['extra_hover2']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['extra_hover2']} !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to left,	{$colors['extra_link2']} 50%, {$colors['extra_hover2']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['extra_hover2']} !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to bottom,	{$colors['extra_link2']} 50%, {$colors['extra_hover2']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['extra_hover2']} !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to top,		{$colors['extra_link2']} 50%, {$colors['extra_hover2']} 50%) no-repeat scroll right top / 100% 210% {$colors['extra_hover2']} !important;
        }
        
        /* Hover  Slide Effect */
        /* --------------------*/
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: right bottom !important;
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
            color: {$colors['inverse_link']} !important; 
            background-position: right top !important; 
        }
        form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 	
            background-position: right bottom !important; 
        }
        
        /* Another Color Style MailChimp Button */
        /* ------------------------------------ */
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to right,	{$colors['text_link3']} 50%, {$colors['text_hover3']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_hover3']} !important;
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to left,	{$colors['text_link3']} 50%, {$colors['text_hover3']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_hover3']} !important;
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to bottom,	{$colors['text_link3']} 50%, {$colors['text_hover3']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_hover3']} !important;
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            color: {$colors['inverse_link']} !important;
            background: linear-gradient(to top,		{$colors['text_link3']} 50%, {$colors['text_hover3']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_hover3']} !important;
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            color: {$colors['inverse_dark']} !important;
            background-position: left bottom !important;
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_dark']} !important;
            background-position: right bottom !important;
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_top:not([disabled="disabled"]):hover {	
            color: {$colors['inverse_dark']} !important; 
            background-position: right top !important; 
        }
        .btn_color form.mc4wp-form .mc4wp-form-fields button.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_dark']} !important; 	
            background-position: right bottom !important; 
        }
        
        /* Promo */
        /* color style 'Default' */
        .sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link']} !important;
            color: {$colors['inverse_link']} !important;
        }
        /* color style 'Link2' */
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link2']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: left bottom !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right bottom !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right top !important;
        }
        .color_style_link2.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right bottom !important;
        }

        /* color style 'Link3' */
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link3']} !important;
            color: {$colors['inverse_link']} !important;
        }
        
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
            color: {$colors['inverse_link']} !important;
            background-position: right bottom !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
            color: {$colors['inverse_link']} !important;
            background-position: right top !important;
        }
        .color_style_link3.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
            color: {$colors['inverse_link']} !important;
            background-position: right bottom !important;
        }
        /* color style 'Dark' */
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left {
            background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_dark']} !important;
            color: {$colors['inverse_hover']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right {
            background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_dark']} !important;
            color: {$colors['inverse_hover']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top {
            background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_dark']} !important;
            color: {$colors['inverse_hover']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom {
            background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_dark']} !important;
            color: {$colors['inverse_hover']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_left:hover {
            background-position: left bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_right:hover {
            background-position: right bottom !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_top:hover {
            background-position: right top !important;
            color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_promo .sc_button_default.sc_button_hover_slide_bottom:hover {
            background-position: right bottom !important;
            color: {$colors['inverse_link']} !important;
        }
       
       /* Action */
       /* default */
        .sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {	background: linear-gradient(to right,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link']} !important; }
        .sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  background: linear-gradient(to left,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link']} !important; }
        .sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	background: linear-gradient(to bottom,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link']} !important; }
        .sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {	background: linear-gradient(to top,	{$colors['text_hover']} 50%, {$colors['text_link']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link']} !important; }
        
        /* Default hover */
        .sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        .sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }
        .sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: right top !important;
        }
        .sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }

        /* Link2 */
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {	background: linear-gradient(to right,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link2']} !important; }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  background: linear-gradient(to left,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link2']} !important; }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	background: linear-gradient(to bottom,	{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link2']} !important; }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {	background: linear-gradient(to top,		{$colors['text_hover2']} 50%, {$colors['text_link2']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link2']} !important; }


        /* Link2 hover */
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important;
            background-position: left bottom !important;
        }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important; 
            background-position: right bottom !important;
        }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important;
            background-position: right top !important;
        }
        .color_style_link2.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_hover']} !important; 
            background-position: right bottom !important;
        }
       /* Link3 */
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {	background: linear-gradient(to right,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_link3']} !important; }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  background: linear-gradient(to left,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_link3']} !important; }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	background: linear-gradient(to bottom,	{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_link3']} !important; }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {	background: linear-gradient(to top,		{$colors['text_hover3']} 50%, {$colors['text_link3']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_link3']} !important; }
  
        /* Link3 hover */
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: left bottom !important;
        }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important;
            background-position: right top !important;
        }
        .color_style_link3.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            color: {$colors['inverse_link']} !important; 
            background-position: right bottom !important;
        }
  
       /* Dark */
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]) {
            color: {$colors['inverse_hover']} !important; 
            background: linear-gradient(to right,	{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll right bottom / 210% 100% {$colors['text_dark']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]) {  
            color: {$colors['inverse_hover']} !important; 
            background: linear-gradient(to left,	{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll left bottom / 210% 100% {$colors['text_dark']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]) {	
            color: {$colors['inverse_hover']} !important; 
            background: linear-gradient(to bottom,	{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll right bottom / 100% 210% {$colors['text_dark']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]) {
            color: {$colors['inverse_hover']} !important; 
            background: linear-gradient(to top,		{$colors['text_link']} 50%, {$colors['text_dark']} 50%) no-repeat scroll right top / 100% 210% {$colors['text_dark']} !important;
        }
          /* Dark hover */
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_left:not([disabled="disabled"]):hover {	
            background-position: left bottom !important; color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_right:not([disabled="disabled"]):hover {
            background-position: right bottom !important; color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_top:not([disabled="disabled"]):hover {
            background-position: right top !important; color: {$colors['inverse_link']} !important;
        }
        .color_style_dark.sc_action .sc_action_item_link.sc_button_hover_slide_bottom:not([disabled="disabled"]):hover {
            background-position: right bottom !important; color: {$colors['inverse_link']} !important; 
        }
        

        /* Play */
        .trx_addons_video_player.with_cover .video_hover:hover,
        .format-video .post_featured.with_thumb .post_video_hover:hover,
        .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover:hover {
            background-color: {$colors['text_link']};
            border-color: {$colors['text_link']};
        }
        /* Socials */
		.scheme_self.footer_wrap .sc_layouts_row_type_compact .socials_wrap .social_item:hover .social_icon {
            color: {$colors['inverse_link']};
            background-color: {$colors['text_link']};
        }	
        /* Blockquote */
        section > blockquote,
        div:not(.is-style-solid-color) > blockquote,
        figure:not(.is-style-solid-color) > blockquote {
            background-color: {$colors['alter_link3']};
        }
        blockquote:not(.has-text-color):before {
            color: {$colors['text_dark']};
        }
        
        /* Author */
       .scheme_self.author_info a:hover {
           color: {$colors['text_dark']};
       }

        /* Blogger */
        .sc_blogger_item_on_plate .sc_blogger_item_content .sc_blogger_item_title a:hover {
            color: {$colors['text_link']};
        }
        .sc_blogger_item_default.sc_blogger_item_on_plate.sc_blogger_item:hover .sc_blogger_item_content:before,
        .sc_blogger_item_default_classic_alter.sc_blogger_item_on_plate.sc_blogger_item:hover .sc_blogger_item_content:before {
            border-left-color: {$colors['text_hover']};        
        }
        .sc_blogger_item_default.sc_blogger_item_on_plate.sc_blogger_item .sc_blogger_item_content:before,
        .sc_blogger_item_default_classic_alter.sc_blogger_item_on_plate.sc_blogger_item .sc_blogger_item_content:before {
            border-left-color: {$colors['inverse_link']};
        }

        /* Slider */
        .slider_container.slider_controls_top .slider_controls_wrap > a:hover,
        .slider_container.slider_controls_bottom .slider_controls_wrap > a:hover,
        .slider_outer_controls_top .slider_controls_wrap > a:hover,
        .slider_outer_controls_bottom .slider_controls_wrap > a:hover {
            border-color: {$colors['text_link']};
            background-color: {$colors['text_link']};
        }
        .sc_slider_controls .slider_controls_wrap > a:hover,
        .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
        .slider_outer_controls_side .slider_controls_wrap > a:hover,
        .slider_outer_controls_outside .slider_controls_wrap > a:hover {
            background-color: {$colors['text_link']};
            border-color: {$colors['text_link']};
        }
        /* Icons */
        .sc_icons_alter .sc_icons_item_linked:hover .sc_icons_icon {
            color: {$colors['text_link']};
        }
		/* Slider Revolution */
		.rev_slider .socials_wrap .social_item:hover .social_icon,
		.revslider-initialised .socials_wrap .social_item:hover .social_icon {
		    background-color: {$colors['text_link']};
		}
		
		

CSS;
        }

        return $css;
    }
}

