<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
	function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
			
			/* Extra */
            .sc_socials_extra .socials_wrap .social_item .social_icon {
                color: {$colors['text_dark']};
                background-color: {$colors['alter_bg_color']};
            }
            .sc_socials_extra .socials_wrap .social_item:nth-child(2) .social_icon {
                background-color: {$colors['inverse_bg_color']};
            }
            .sc_socials_extra .socials_wrap .social_item:nth-child(3) .social_icon {
                background-color: {$colors['inverse_bg_hover']};
            }
            .sc_socials_extra .socials_wrap .social_item:hover .social_icon {
                color: {$colors['inverse_link']};
                background-color: {$colors['text_hover']};
            }
            .sc_socials_extra .socials_wrap:before {
                background-color: {$colors['bg_color_05']};
            }
            
            /* Title */
            .scheme_self.sc_title.color_style_dark .sc_item_title.sc_item_title_style_with_line:after {
                 background-color:{$colors['text_dark']};	
            }   
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:after,
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle .subtitle_text:before {
                background-color:{$colors['text_dark']};	
            }
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_decoration.sc_item_subtitle {
                color:{$colors['text_dark']};	
            }
            .scheme_self.sc_title.color_style_dark .sc_item_title_style_with_line.sc_item_subtitle {
                color:{$colors['text_dark']};
            }
            
            /* Excerpt */	
            .post_layout_excerpt.sticky .post_title,
            .post_layout_excerpt.sticky .post_title a {
                color: {$colors['inverse_link']};
            }
            .post_layout_excerpt.sticky .post_title a:hover {
                color: {$colors['text_hover']}; 
            }
            .post_layout_excerpt.sticky .post_meta_item.post_date,
            .post_layout_excerpt.sticky .post_meta_item.post_date a {
                color: {$colors['text_hover']};   
            }
            .post_layout_excerpt.sticky .post_meta_item.post_date a:hover {
                color: {$colors['inverse_link']};   
            }
            
            /* Blockquote */
            blockquote:not(.has-text-color),
            blockquote:not(.has-text-color) p,
            .wp-block-quote__citation {
                color: {$colors['inverse_link']} !important;
            }
            blockquote:not(.has-text-color) > cite,
            blockquote:not(.has-text-color) p > cite {
                color:{$colors['alter_dark']} !important;
            }
            
            /* Slider */
            .sc_slider_controls .slider_controls_wrap > a,
            .slider_container.slider_controls_side .slider_controls_wrap > a,
            .slider_outer_controls_side .slider_controls_wrap > a,
            .slider_outer_controls_outside .slider_controls_wrap > a {
                color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            .sc_slider_controls .slider_controls_wrap > a:hover,
            .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
            .slider_outer_controls_side .slider_controls_wrap > a:hover,
            .slider_outer_controls_outside .slider_controls_wrap > a:hover {
                background-color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            .slider_container.slider_controls_top .slider_controls_wrap > a,
            .slider_container.slider_controls_bottom .slider_controls_wrap > a,
            .slider_outer_controls_top .slider_controls_wrap > a,
            .slider_outer_controls_bottom .slider_controls_wrap > a {
                color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            
            /* Video */
            .trx_addons_video_player.with_cover .video_hover,
            .format-video .post_featured.with_thumb .post_video_hover,
            .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover {
                color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }
            .trx_addons_video_player.with_cover .video_hover:hover,
            .format-video .post_featured.with_thumb .post_video_hover:hover,
            .sc_layouts_blog_item_featured .post_featured.with_thumb .post_video_hover:hover {
                background-color: {$colors['text_hover']};
                border-color: {$colors['text_hover']};
            }

            /* Blogger */
             .sc_blogger_item_on_plate .sc_blogger_item_content .sc_blogger_item_title a:hover { 
                color: {$colors['text_link']};
            }

           /* Widget Recent Post */
            .sidebar.widget_area .post_item .post_title a:hover,
            .sidebar aside .post_item .post_title a:hover {
                color: {$colors['text_link']};
            }
            .scheme_self.sidebar.widget_area .post_item .post_title a:hover,
            .scheme_self.sidebar aside .post_item .post_title a:hover {
                color: {$colors['alter_link']};
            }

CSS;
		}

		return $css;
	}
}

