<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'impacto_patronus_skin_css_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'impacto_patronus_skin_css_theme_setup9', 9 );
    function impacto_patronus_skin_css_theme_setup9() {
        add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
    }
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'impacto_patronus_skin_get_css' ) ) {
    //Handler of the add_filter( 'impacto_patronus_filter_get_css', 'impacto_patronus_skin_get_css', 10, 2 );
	function impacto_patronus_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS
			
			/* Extra */
            .sc_socials_extra .socials_wrap .social_item .social_icon {
                color: {$colors['text_dark']};
                background-color: {$colors['alter_bg_color']};
            }
            .sc_socials_extra .socials_wrap .social_item:nth-child(2) .social_icon {
                background-color: {$colors['inverse_bg_color']};
            }
            .sc_socials_extra .socials_wrap .social_item:nth-child(3) .social_icon {
                background-color: {$colors['inverse_bg_hover']};
            }
            .sc_socials_extra .socials_wrap .social_item:hover .social_icon {
                color: {$colors['inverse_link']};
                background-color: {$colors['text_hover']};
            }
            .sc_socials_extra .socials_wrap:before {
                background-color: {$colors['bg_color_05']};
            }

CSS;
		}

		return $css;
	}
}

