<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.1
 */

$impacto_patronus_theme_obj = wp_get_theme();
?>
<div class="impacto_patronus_admin_notice impacto_patronus_welcome_notice update-nag">
	<?php
	// Theme image
	$impacto_patronus_theme_img = impacto_patronus_get_file_url( 'screenshot.jpg' );
	if ( '' != $impacto_patronus_theme_img ) {
		?>
		<div class="impacto_patronus_notice_image"><img src="<?php echo esc_url( $impacto_patronus_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'impacto-patronus' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="impacto_patronus_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Welcome to %1$s v.%2$s', 'impacto-patronus' ),
				$impacto_patronus_theme_obj->name . ( IMPACTO_PATRONUS_THEME_FREE ? ' ' . __( 'Free', 'impacto-patronus' ) : '' ),
				$impacto_patronus_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="impacto_patronus_notice_text">
		<p class="impacto_patronus_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $impacto_patronus_theme_obj->description ) );
			?>
		</p>
		<p class="impacto_patronus_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'impacto-patronus' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="impacto_patronus_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=impacto_patronus_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'impacto-patronus' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="impacto_patronus_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="impacto_patronus_hide_notice_text"><?php esc_html_e( 'Dismiss', 'impacto-patronus' ); ?></span></a>
	</div>
</div>
