<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */
?>

<div class="author_info scheme_dark author vcard" itemprop="author" itemscope="itemscope" itemtype="<?php echo esc_attr( impacto_patronus_get_protocol( true ) ); ?>//schema.org/Person">
	<div class="author_avatar" itemprop="image">
		<?php
		$impacto_patronus_mult = impacto_patronus_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 300 * $impacto_patronus_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
        <h5 class="author_title" itemprop="name"><?php echo wp_kses_data( get_the_author() );?></h5>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses_post( wpautop( get_the_author_meta( 'description' ) ) ); ?>
            <a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php esc_html_e('Read More', 'impacto-patronus');?></a>

			<?php do_action( 'impacto_patronus_action_user_meta' ); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
