<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.10
 */

// Footer sidebar
$impacto_patronus_footer_name    = impacto_patronus_get_theme_option( 'footer_widgets' );
$impacto_patronus_footer_present = ! impacto_patronus_is_off( $impacto_patronus_footer_name ) && is_active_sidebar( $impacto_patronus_footer_name );
if ( $impacto_patronus_footer_present ) {
	impacto_patronus_storage_set( 'current_sidebar', 'footer' );
	$impacto_patronus_footer_wide = impacto_patronus_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $impacto_patronus_footer_name ) ) {
		dynamic_sidebar( $impacto_patronus_footer_name );
	}
	$impacto_patronus_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $impacto_patronus_out ) ) {
		$impacto_patronus_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $impacto_patronus_out );
		$impacto_patronus_need_columns = true;   //or check: strpos($impacto_patronus_out, 'columns_wrap')===false;
		if ( $impacto_patronus_need_columns ) {
			$impacto_patronus_columns = max( 0, (int) impacto_patronus_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $impacto_patronus_columns ) {
				$impacto_patronus_columns = min( 4, max( 1, impacto_patronus_tags_count( $impacto_patronus_out, 'aside' ) ) );
			}
			if ( $impacto_patronus_columns > 1 ) {
				$impacto_patronus_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $impacto_patronus_columns ) . ' widget', $impacto_patronus_out );
			} else {
				$impacto_patronus_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $impacto_patronus_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $impacto_patronus_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $impacto_patronus_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'impacto_patronus_action_before_sidebar' );
				impacto_patronus_show_layout( $impacto_patronus_out );
				do_action( 'impacto_patronus_action_after_sidebar' );
				if ( $impacto_patronus_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $impacto_patronus_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
