<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.06
 */

$impacto_patronus_header_css   = '';
$impacto_patronus_header_image = get_header_image();
$impacto_patronus_header_video = impacto_patronus_get_header_video();
if ( ! empty( $impacto_patronus_header_image ) && impacto_patronus_trx_addons_featured_image_override( is_singular() || impacto_patronus_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$impacto_patronus_header_image = impacto_patronus_get_current_mode_image( $impacto_patronus_header_image );
}

$impacto_patronus_header_id = impacto_patronus_get_custom_header_id();
$impacto_patronus_header_meta = get_post_meta( $impacto_patronus_header_id, 'trx_addons_options', true );
if ( ! empty( $impacto_patronus_header_meta['margin'] ) ) {
	impacto_patronus_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( impacto_patronus_prepare_css_value( $impacto_patronus_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $impacto_patronus_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $impacto_patronus_header_id ) ) ); ?>
				<?php
				echo ! empty( $impacto_patronus_header_image ) || ! empty( $impacto_patronus_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $impacto_patronus_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $impacto_patronus_header_image ) {
					echo ' ' . esc_attr( impacto_patronus_add_inline_css_class( 'background-image: url(' . esc_url( $impacto_patronus_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( impacto_patronus_is_on( impacto_patronus_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight impacto_patronus-full-height';
				}
				$impacto_patronus_header_scheme = impacto_patronus_get_theme_option( 'header_scheme' );
				if ( ! empty( $impacto_patronus_header_scheme ) && ! impacto_patronus_is_inherit( $impacto_patronus_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $impacto_patronus_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $impacto_patronus_header_video ) ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'impacto_patronus_action_show_layout', $impacto_patronus_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
