<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

$impacto_patronus_header_css   = '';
$impacto_patronus_header_image = get_header_image();
$impacto_patronus_header_video = impacto_patronus_get_header_video();
if ( ! empty( $impacto_patronus_header_image ) && impacto_patronus_trx_addons_featured_image_override( is_singular() || impacto_patronus_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$impacto_patronus_header_image = impacto_patronus_get_current_mode_image( $impacto_patronus_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $impacto_patronus_header_image ) || ! empty( $impacto_patronus_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $impacto_patronus_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $impacto_patronus_header_image ) {
		echo ' ' . esc_attr( impacto_patronus_add_inline_css_class( 'background-image: url(' . esc_url( $impacto_patronus_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( impacto_patronus_is_on( impacto_patronus_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight impacto_patronus-full-height';
	}
	$impacto_patronus_header_scheme = impacto_patronus_get_theme_option( 'header_scheme' );
	if ( ! empty( $impacto_patronus_header_scheme ) && ! impacto_patronus_is_inherit( $impacto_patronus_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $impacto_patronus_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $impacto_patronus_header_video ) ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( impacto_patronus_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( impacto_patronus_is_on( impacto_patronus_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-mobile' ) );
	}


    // Page title and breadcrumbs area
    get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-title' ) );

	if ( !is_single() || ( impacto_patronus_get_theme_option( 'post_header_position' ) == 'default' && impacto_patronus_get_theme_option( 'post_thumbnail_type' ) == 'default' ) ) {
		// Display featured image in the header on the single posts
		// Comment next line to prevent show featured image in the header area
		// and display it in the post's content
		get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-single' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'impacto_patronus_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
