<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

$impacto_patronus_args = get_query_var( 'impacto_patronus_logo_args' );

// Site logo
$impacto_patronus_logo_type   = isset( $impacto_patronus_args['type'] ) ? $impacto_patronus_args['type'] : '';
$impacto_patronus_logo_image  = impacto_patronus_get_logo_image( $impacto_patronus_logo_type );
$impacto_patronus_logo_text   = impacto_patronus_is_on( impacto_patronus_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$impacto_patronus_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $impacto_patronus_logo_image['logo'] ) || ! empty( $impacto_patronus_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $impacto_patronus_logo_image['logo'] ) ) {
			if ( empty( $impacto_patronus_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $impacto_patronus_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$impacto_patronus_attr = impacto_patronus_getimagesize( $impacto_patronus_logo_image['logo'] );
				echo '<img src="' . esc_url( $impacto_patronus_logo_image['logo'] ) . '"'
						. ( ! empty( $impacto_patronus_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $impacto_patronus_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $impacto_patronus_logo_text ) . '"'
						. ( ! empty( $impacto_patronus_attr[3] ) ? ' ' . wp_kses_data( $impacto_patronus_attr[3] ) : '' )
						. '>';
			}
		} else {
			impacto_patronus_show_layout( impacto_patronus_prepare_macros( $impacto_patronus_logo_text ), '<span class="logo_text">', '</span>' );
			impacto_patronus_show_layout( impacto_patronus_prepare_macros( $impacto_patronus_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
