<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

// Page (category, tag, archive, author) title

if ( impacto_patronus_need_page_title() ) {
	impacto_patronus_sc_layouts_showed( 'title', true );
//	impacto_patronus_sc_layouts_showed( 'postmeta', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal sc_layouts_row_delimiter">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								impacto_patronus_show_post_meta(
									apply_filters(
										'impacto_patronus_filter_post_meta_args', array(
											'components' => impacto_patronus_array_get_keys_by_value( impacto_patronus_get_theme_option( 'meta_parts' ) ),
											'counters'   => impacto_patronus_array_get_keys_by_value( impacto_patronus_get_theme_option( 'counters' ) ),
											'seo'        => impacto_patronus_is_on( impacto_patronus_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$impacto_patronus_blog_title           = impacto_patronus_get_blog_title();
							$impacto_patronus_blog_title_text      = '';
							$impacto_patronus_blog_title_class     = '';
							$impacto_patronus_blog_title_link      = '';
							$impacto_patronus_blog_title_link_text = '';
							if ( is_array( $impacto_patronus_blog_title ) ) {
								$impacto_patronus_blog_title_text      = $impacto_patronus_blog_title['text'];
								$impacto_patronus_blog_title_class     = ! empty( $impacto_patronus_blog_title['class'] ) ? ' ' . $impacto_patronus_blog_title['class'] : '';
								$impacto_patronus_blog_title_link      = ! empty( $impacto_patronus_blog_title['link'] ) ? $impacto_patronus_blog_title['link'] : '';
								$impacto_patronus_blog_title_link_text = ! empty( $impacto_patronus_blog_title['link_text'] ) ? $impacto_patronus_blog_title['link_text'] : '';
							} else {
								$impacto_patronus_blog_title_text = $impacto_patronus_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $impacto_patronus_blog_title_class ); ?>">
								<?php
								$impacto_patronus_top_icon = impacto_patronus_get_term_image_small();
								if ( ! empty( $impacto_patronus_top_icon ) ) {
									$impacto_patronus_attr = impacto_patronus_getimagesize( $impacto_patronus_top_icon );
									?>
									<img src="<?php echo esc_url( $impacto_patronus_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'impacto-patronus' ); ?>"
										<?php
										if ( ! empty( $impacto_patronus_attr[3] ) ) {
											impacto_patronus_show_layout( $impacto_patronus_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_data( $impacto_patronus_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $impacto_patronus_blog_title_link ) && ! empty( $impacto_patronus_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $impacto_patronus_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $impacto_patronus_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php

                        // Breadcrumbs
                        if (impacto_patronus_exists_trx_addons()) {
                            ?><div class="sc_layouts_title_breadcrumbs"><?php
                            do_action( 'impacto_patronus_action_breadcrumbs' );
                            ?></div><?php
                        } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
