<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0
 */

// Header sidebar
$impacto_patronus_header_name    = impacto_patronus_get_theme_option( 'header_widgets' );
$impacto_patronus_header_present = ! impacto_patronus_is_off( $impacto_patronus_header_name ) && is_active_sidebar( $impacto_patronus_header_name );
if ( $impacto_patronus_header_present ) {
	impacto_patronus_storage_set( 'current_sidebar', 'header' );
	$impacto_patronus_header_wide = impacto_patronus_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $impacto_patronus_header_name ) ) {
		dynamic_sidebar( $impacto_patronus_header_name );
	}
	$impacto_patronus_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $impacto_patronus_widgets_output ) ) {
		$impacto_patronus_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $impacto_patronus_widgets_output );
		$impacto_patronus_need_columns   = strpos( $impacto_patronus_widgets_output, 'columns_wrap' ) === false;
		if ( $impacto_patronus_need_columns ) {
			$impacto_patronus_columns = max( 0, (int) impacto_patronus_get_theme_option( 'header_columns' ) );
			if ( 0 == $impacto_patronus_columns ) {
				$impacto_patronus_columns = min( 6, max( 1, impacto_patronus_tags_count( $impacto_patronus_widgets_output, 'aside' ) ) );
			}
			if ( $impacto_patronus_columns > 1 ) {
				$impacto_patronus_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $impacto_patronus_columns ) . ' widget', $impacto_patronus_widgets_output );
			} else {
				$impacto_patronus_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $impacto_patronus_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $impacto_patronus_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $impacto_patronus_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'impacto_patronus_action_before_sidebar' );
				impacto_patronus_show_layout( $impacto_patronus_widgets_output );
				do_action( 'impacto_patronus_action_after_sidebar' );
				if ( $impacto_patronus_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $impacto_patronus_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
