<?php
/**
 * The default template to displaying related posts
 *
 * @package WordPress
 * @subpackage IMPACTO_PATRONUS
 * @since IMPACTO_PATRONUS 1.0.54
 */

$impacto_patronus_link        = get_permalink();
$impacto_patronus_post_format = get_post_format();
$impacto_patronus_post_format = empty( $impacto_patronus_post_format ) ? 'standard' : str_replace( 'post-format-', '', $impacto_patronus_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $impacto_patronus_post_format ) ); ?>>
	<?php
	impacto_patronus_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'impacto_patronus_filter_related_thumb_size', impacto_patronus_get_thumb_size( (int) impacto_patronus_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
		)
	);
	?>
	<div class="post_header entry-header">
		<h6 class="post_title entry-title"><a href="<?php echo esc_url( $impacto_patronus_link ); ?>"><?php the_title(); ?></a></h6>
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
			?>
			<span class="post_date"><a href="<?php echo esc_url( $impacto_patronus_link ); ?>"><?php echo wp_kses_data( impacto_patronus_get_date() ); ?></a></span>
			<?php
		}
		?>
	</div>
</div>
