<?php
/**
 * Template of the custom slide content with Alter Style Slider data for the Swiper
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.23
 */

        $slider_args = get_query_var('trx_addons_args_alter_style_slider_slide');
        $mode = $slider_args['args']['mode'];

     if ( $mode == 'custom' ) {
        $slide_image = $slider_args['image']['image'];
        $slide_image_title = $slider_args['image']['title'];
        $slide_image_subtitle = $slider_args['image']['subtitle'];
        $slide_image_description = $slider_args['image']['slider_descr'];
        $slide_link = $slider_args['image']['link'];
        $has_content = (!empty($slide_image_subtitle) || (!empty($slide_image_title) || (!empty($slide_image_description))));

            //Background Image
            if (!empty($slide_image)) { ?>
                 <div class="sc_alter_slide_slider_image <?php echo (!empty($slide_image) ? esc_attr( impacto_patronus_add_inline_css_class( 'background-image:url(' . esc_url( $slide_image ) . ');')) : '') ; ?>"><?php
                 if  (!empty( $slide_link )) { ?>
                     <a href = "<?php echo esc_url( $slide_link );?>" class="slide_link" ></a ><?php
                 }
                ?>
                </div><?php
            }

            if (!empty($has_content)) { ?>
                <div class="sc_alter_slide_slider_content"><?php

                    if (!empty($slide_image_subtitle)) { ?>
                        <div class="sc_alter_slide_slider_subtitle"><?php echo esc_html($slide_image_subtitle); ?></div><?php
                    }
                    if (!empty($slide_image_title)) { ?>
                        <h1 class="sc_alter_slide_slider_title"><?php echo esc_html($slide_image_title); ?></h1><?php
                    }
                    if (!empty($slide_image_description)) { ?>
                        <div class="sc_alter_slide_slider_description"><p><?php echo esc_html($slide_image_description); ?></p></div><?php
                    }
                    ?>
                </div><?php

            }


     } else {

            $image_url = get_the_post_thumbnail_url('', impacto_patronus_get_thumb_size('full'));
            $title = get_the_title();
            $cat = wp_kses_post( impacto_patronus_get_post_categories( ', ' ));
            $has_excerpt = has_excerpt();
            $excerpt = get_the_excerpt();
            $content = impacto_patronus_excerpt( impacto_patronus_filter_post_content( get_the_content() ), apply_filters( 'excerpt_length', 55 ) );
            $has_content = ( !empty( $cat ) || !empty( $title ) || $has_excerpt ); ?>

             <div class="sc_alter_slide_slider_image <?php echo (!empty( $image_url ) ? esc_attr( impacto_patronus_add_inline_css_class( 'background-image:url(' . esc_url( $image_url ) . ');')) : '') ; ?>"></div><?php

             if (!empty($has_content)) { ?>
                 <div class="sc_alter_slide_slider_content"><?php
                     if (!empty($cat)) { ?>
                         <span class="sc_alter_slide_slider_cat"><?php impacto_patronus_show_layout($cat); ?></span><?php
                     }
                     if (!empty($title)) { ?>
                         <h1 class="sc_alter_slide_slider_title"><?php echo esc_html($title); ?></h1><?php
                     }
                     if ($has_excerpt) { ?>
                         <div class="sc_alter_slide_slider_excerpt"><p><?php impacto_patronus_show_layout($excerpt); ?></p></div><?php
                     } else { ?>
                         <div class="sc_alter_slide_slider_excerpt"><p><?php impacto_patronus_show_layout($content); ?></p></div><?php
                     } ?>
                 </div><?php
             }
     }
?>